Making measurements in molecular visualization software 
=======================================================
\pagenumbering{gobble}

Purpose: Some of the most common tasks in molecular visualization and
analysis include measuring distances between atoms, and measuring
dihedral angles. You should be comfortable doing this in several
packages.

Using Rasmol
------------

1.  What is the length of the longest dimension of calmodulin?
2.  Open the
    file `~/rosetta_workshop/tutorials/day02/sample_files/1CLL.pdb` in
    stick mode
3.  Use **Settings --\> pick Distance**, and choose two atoms from
    the most distant residues at opposite ends of the protein.

Using Pymol 
-----------

1.  Open a pregenerated session showing one helix from the potassium
    channel:\
    `pymol ~/rosetta_workshop/tutorials/day02/sample_files/alpha_helix.pse`
2.  Use **Wizard --\> Measurement** to measure several several (i,
    i+4) H-bonds (you can hide side chains to simplify the display)
3.  You can change the **drop-down** box called Distances to Angles
    or Dihedrals
4.  An alternate method is to `ctrl-middle-click` on two atoms
    (producing pk1 and pk2), then type
    distance. (The Measurements Wizard must be closed.) `Ctrl-right-click` on the background to clear
    the picked atoms. 
5.  The command-line syntax to do distance and angle measurements looks
    like this example. This is particularly useful for putting into
    custom scripts.\
    `get_dist     ///A/102/O, ///A/106/N` \
    `get_angle     ///A/103/N, ///A/103/CA, ///A/103/CB` \
    `get_dihedral     ///A/103/N, ///A/103/CA, ///A/103/C, ///A/104/N`

Using Chimera 
-------------

1.  Measure the dihedral angles of one residue in a helix and one
    residue from a beta sheet.
2.  Restore the
    session: `chimera ~/rosetta_workshop/tutorials/day02/sample_files/dihedrals.py` One
    segment of helix and one of sheet have been shown in stick mode in
    this small cytochrome.
3.  Use **Tools --\> Structure Analysis --\>
    Angles/Torsions** (you can do Distances analogously)
4.  Select 4 sequential backbone atoms in the beta strand,
    then "**Create**" angle measurement.
    1.  Select atoms in order: C, N, CA, C to measure phi
    2.  Select atoms in order: N, CA, C, N to measure psi
    3.  Select atoms in order: CA, C, N, CA to measure omega
5.  If you have time, you may repeat with a turn of the helix.


