### Commonly used molecular objects ###

select bb, name c+n+o+ca
select bb-ca, name c+n+o
select hydrogens, element H
select water, resn HOH+WAT
select ions, resn NA+CA+PO4+CL+K+IOD+MG
select ligand, hetatm and not water and not hydrogens 
select sidechains, not bb-ca and not ligand 
select proteincore, not ligand and not sidechains
select sidechains_w_ca, sidechains or name ca
select sidechain_5A, not bb-ca and byres (ligand around 5)

### General structural regions and important residues ###

#select region_1, resi 1-20 and not bb-ca
#select region_2, resi 50-100 and not bb-ca

#select group_1, resi 30-35+75 and not bb-ca
#select group_2, resi 105-120 and not bb-ca

#select ion_pair, resi 834+837 and not bb-ca
#select mutant_1, resi 721 and not bb-ca

### Basic viewing options used for publication quality ### 

bg_color white
set cartoon_transparency,0.2
set cartoon_fancy_helices,1
hide lines
show cartoon
cmd.show("sticks", "sidechain_5A")
cmd.show("sticks", "ligand")
cmd.show("spheres", "ions")

cmd.hide("sticks", "hydrogens")
cmd.hide("everything", "water")

color purple, ligand
util.cnc("ligand")
cmd.spectrum("count", selection="proteincore", byres=1)
#util.color_chains("all")
#util.color_objs("(all)")
util.cbaw("sidechain_5A and not bb")
cmd.disable("sidechain_5A")

set light=[0,-0,-1.5]

### Commands for generating a coordinate set, ray-tracing, and image ###

#get_view
#ray
#png bindsite.png
