try:
	from SimpleSession.versions.v28 import beginRestore,\
	    registerAfterModelsCB, reportRestoreError
except ImportError:
	from chimera import UserError
	raise UserError('Cannot open session that was saved in a'
	    ' newer version of Chimera; update your version')
import chimera
from chimera import replyobj
replyobj.status('Beginning session restore...', \
    blankAfter=0)
beginRestore()

def restoreCoreModels():
	from SimpleSession.versions.v28 import init, restoreCamera, \
	     restoreMolecules, restoreColors, restoreSurfaces, \
	     restoreVRML, restorePseudoBondGroups
	molInfo = {'ballScale': (1, 0.25, {}), 'ribbonHidesMainchain': (1, True, {}), 'pointSize': (1, 1.0, {}), 'name': (1, '1CYO.pdb', {}), 'color': (1, 0, {}), 'optional': {}, 'pdbHeaders': [{'KEYWDS': ['KEYWDS    ELECTRON TRANSPORT                                            1CYO  4A'], 'SEQRES': ['SEQRES   1     93  SER LYS ALA VAL LYS TYR TYR THR LEU GLU GLU ILE GLN  1CYO  78', 'SEQRES   2     93  LYS HIS ASN ASN SER LYS SER THR TRP LEU ILE LEU HIS  1CYO  79', 'SEQRES   3     93  TYR LYS VAL TYR ASP LEU THR LYS PHE LEU GLU GLU HIS  1CYO  80', 'SEQRES   4     93  PRO GLY GLY GLU GLU VAL LEU ARG GLU GLN ALA GLY GLY  1CYO  81', 'SEQRES   5     93  ASP ALA THR GLU ASN PHE GLU ASP VAL GLY HIS SER THR  1CYO  82', 'SEQRES   6     93  ASP ALA ARG GLU LEU SER LYS THR PHE ILE ILE GLY GLU  1CYO  83', 'SEQRES   7     93  LEU HIS PRO ASP ASP ARG SER LYS ILE THR LYS PRO SER  1CYO  84', 'SEQRES   8     93  GLU SER                                              1CYO  85'], 'TITLE': ['TITLE     BOVINE CYTOCHROME B(5)                                        1CYO  2A'], 'FTNOTE': ['FTNOTE   1                                                              1CYO  86', 'FTNOTE   1 ALTERNATE POSITIONS WERE REFINED FOR THE SIDE-CHAINS OF      1CYO  87', 'FTNOTE   1 RESIDUES GLU 48, VAL 61, GLU 69, AND ILE 75.                 1CYO  88'], 'HELIX': ['HELIX    1   I LEU      9  LYS     14  1                                1CYO  92', 'HELIX    2  II THR     33  GLU     38  1                                1CYO  93', 'HELIX    3 III GLU     43  GLN     49  1                                1CYO  94', 'HELIX    4  IV THR     55  ASP     60  1                                1CYO  95', 'HELIX    5   V THR     65  PHE     74  1                                1CYO  96', 'HELIX    6  VI PRO     81  LYS     86  5                                1CYO  97'], 'REMARK': ['REMARK   1                                                              1CYO  12', 'REMARK   1 REFERENCE 1                                                  1CYO  13', 'REMARK   1  AUTH   F.S.MATHEWS,E.W.CZERWINSKI                           1CYO  14', 'REMARK   1  TITL   CYTOCHROME B=5= AND CYTOCHROME B=5= REDUCTASE FROM   1CYO  15', 'REMARK   1  TITL 2 A CHEMICAL AND X-RAY DIFFRACTION VIEWPOINT           1CYO  16', 'REMARK   1  EDIT   A.N.MARTINOSI                                        1CYO  17', 'REMARK   1  REF    THE ENZYMES OF BIOLOGICAL     V.   4   235 1985      1CYO  18', 'REMARK   1  REF  2 MEMBRANES. 2ND ED. V.4:                              1CYO  19', 'REMARK   1  REF  3 BIOENERGETICS OF ELECTRON                            1CYO  20', 'REMARK   1  REF  4 AND PROTON TRANSPORT                                 1CYO  21', 'REMARK   1  PUBL   PLENUM PRESS, NEW YORK                               1CYO  22', 'REMARK   1  REFN                   ISBN 0-306-41454-6             2041  1CYO  23', 'REMARK   1 REFERENCE 2                                                  1CYO  24', 'REMARK   1  AUTH   F.S.MATHEWS,E.W.CZERWINSKI,P.ARGOS                   1CYO  25', 'REMARK   1  TITL   THE X-RAY CRYSTALLOGRAPHIC STRUCTURE OF CALF LIVER   1CYO  26', 'REMARK   1  TITL 2 CYTOCHROME B5                                        1CYO  27', 'REMARK   1  EDIT   D.DOLPHIN                                            1CYO  28', 'REMARK   1  REF    THE PORPHYRINS                V.   7   107 1979      1CYO  29', 'REMARK   1  REF  2 V.7: BIOCHEMISTRY, PT.B                              1CYO  30', 'REMARK   1  PUBL   ACADEMIC PRESS, NEW YORK                             1CYO  31', 'REMARK   1  REFN                   ISBN 0-12-220107-8             2042  1CYO  32', 'REMARK   1 REFERENCE 3                                                  1CYO  33', 'REMARK   1  AUTH   F.S.MATHEWS,P.ARGOS,M.LEVINE                         1CYO  34', 'REMARK   1  TITL   THE STRUCTURE OF CYTOCHROME B5 AT 2.0 ANGSTROMS      1CYO  35', 'REMARK   1  TITL 2 RESOLUTION                                           1CYO  36', 'REMARK   1  REF    COLD SPRING HARBOR SYMP.      V.  36   387 1972      1CYO  37', 'REMARK   1  REF  2 QUANT.BIOL.                                          1CYO  38', 'REMARK   1  REFN   ASTM CSHSAZ  US ISSN 0091-7451                 0421  1CYO  39', 'REMARK   2                                                              1CYO  40', 'REMARK   2 RESOLUTION. 1.5  ANGSTROMS.                                  1CYO  41', 'REMARK   3                                                              1CYO  42', 'REMARK   3 REFINEMENT.                                                  1CYO  43', 'REMARK   3   PROGRAM 1                  X-PLOR                          1CYO  44', 'REMARK   3   AUTHORS 1                  BRUNGER                         1CYO  45', 'REMARK   3   R VALUE                    0.16                            1CYO  46', 'REMARK   3   RMSD BOND LENGTHS          0.009  ANGSTROMS                1CYO  47', 'REMARK   3   RMSD BOND ANGLES           1.2    DEGREES                  1CYO  48', 'REMARK   3                                                              1CYO  49', 'REMARK   3   NUMBER OF REFLECTIONS      9541                            1CYO  50', 'REMARK   3   RESOLUTION RANGE      10.0 - 1.5  ANGSTROMS                1CYO  51', 'REMARK   3                                                              1CYO  52', 'REMARK   3   NUMBER OF PROTEIN ATOMS                        732         1CYO  53', 'REMARK   3   NUMBER OF NUCLEIC ACID ATOMS                     0         1CYO  54', 'REMARK   3   NUMBER OF SOLVENT ATOMS                        117         1CYO  55', 'REMARK   3                                                              1CYO  56', 'REMARK   3  INITIAL REFINEMENT WITH PROFFT TO 1.5 ANGSTROMS RESOLUTION  1CYO  57', 'REMARK   3  IS AVAILABLE FROM THE PROTEIN DATA BANK AS ENTRY 3B5C.      1CYO  58', 'REMARK   3  THIS ENTRY CONTAINS THE RESULTS OF REFINEMENT CONTINUED     1CYO  59', 'REMARK   3  USING PROGRAM *XPLOR* AND INCLUDING MOLECULAR DYNAMICS.     1CYO  60', 'REMARK   4                                                              1CYO  61', 'REMARK   4 BOVINE LIVER CYTOCHROME B5 CONTAINS 93 RESIDUES AND IS       1CYO  62', 'REMARK   4 WATER SOLUBLE.  ABOUT 40 ADDITIONAL RESIDUES WHICH BIND THE  1CYO  63', 'REMARK   4 PROTEIN TO THE MEMBRANE WERE CLEAVED BY PROTEOLYSIS FROM     1CYO  64', 'REMARK   4 THE C TERMINUS DURING ISOLATION.  RESIDUES 89 - 93 WERE NOT  1CYO  65', 'REMARK   4 VISIBLE IN THE ELECTRON DENSITY MAPS AND ARE THOUGHT TO      1CYO  66', 'REMARK   4 HAVE MULTIPLE CONFORMATIONS.  THE SEQRES RECORDS BELOW       1CYO  67', 'REMARK   4 PRESENT ALL 93 RESIDUES.                                     1CYO  68', 'REMARK   5                                                              1CYO  69', 'REMARK   5 THE PROTEIN WAS SOLUBILIZED FROM MICROSOMES BY PROTEOLYSIS.  1CYO  70', 'REMARK   6                                                              1CYO  71', 'REMARK   6 ALTERNATE SIDE-CHAIN POSITIONS WERE MODELED FOR RESIDUES     1CYO  72', 'REMARK   6 48, 61, 69, AND 75.                                          1CYO  73', 'REMARK   7                                                              1CYO  74', 'REMARK   7 CROSS REFERENCE TO SEQUENCE DATABASE                         1CYO  75', 'REMARK   7 SWISS-PROT ENTRY NAME       PDB ENTRY CHAIN NAME             1CYO  76', 'REMARK   7    CYB5_BOVIN                                                1CYO  77'], 'SCALE1': ['SCALE1      0.015494  0.000000  0.000000        0.00000                 1CYO 112'], 'SCALE2': ['SCALE2      0.000000  0.021720  0.000000        0.00000                 1CYO 113'], 'AUTHOR': ['AUTHOR    R.C.E.DURLEY,F.S.MATHEWS                                      1CYO   5'], 'CRYST1': ['CRYST1   64.540   46.040   29.910  90.00  90.00  90.00 P 21 21 21    4  1CYO 108'], 'ORIGX1': ['ORIGX1      1.000000  0.000000  0.000000        0.00000                 1CYO 109'], 'ORIGX3': ['ORIGX3      0.000000  0.000000  1.000000        0.00000                 1CYO 111'], 'ORIGX2': ['ORIGX2      0.000000  1.000000  0.000000        0.00000                 1CYO 110'], 'SOURCE': ['SOURCE    BOVINE (BOS TAURUS) LIVER                                     1CYO   4'], 'FORMUL': ['FORMUL   2  HEM    C34 H32 N4 O4 FE1                                    1CYO  90', 'FORMUL   3  HOH   *117(H2 O1)                                           1CYO  91'], 'SPRSDE': ['SPRSDE     15-MAR-00 1CYO      3B5C                                     1CYO   7'], 'COMPND': ['COMPND    CYTOCHROME B5 (OXIDIZED)                                      1CYO   3'], 'REVDAT': ['REVDAT   2   15-MAR-00 1CYO    1       SPRSDE JRNL                      1CYO  5A', 'REVDAT   1   30-NOV-94 1CYO    0                                        1CYO   6'], 'HET': ['HET    HEM    201      43     PROTOPORPHYRIN IX CONTAINS FE(III)        1CYO  89'], 'SHEET': ['SHEET    1   I 5 LYS     5  TYR     7  0                                1CYO  98', 'SHEET    2   I 5 PHE    74  HIS    80  1  N  GLU    78   O  LYS     5   1CYO  99', 'SHEET    3   I 5 TYR    27  LEU    32 -1  O  TYR    27   N  LEU    79   1CYO 100', 'SHEET    4   I 5 THR    21  LEU    25  1  O  THR    21   N  LEU    32   1CYO 101', 'SHEET    5   I 5 GLY    51  ALA    54  1  N  GLY    51   O  TRP    22   1CYO 102'], 'HEADER': ['HEADER    ELECTRON TRANSPORT                      03-AUG-94   1CYO      1CYO   2'], 'EXPDTA': ['EXPDTA    X-RAY DIFFRACTION                                             1CYO  4B'], 'SCALE3': ['SCALE3      0.000000  0.000000  0.033434        0.00000                 1CYO 114'], 'TURN': ['TURN     1   1 ILE    12  HIS    15                                     1CYO 103', 'TURN     2   2 ASN    17  SER    20                                     1CYO 104', 'TURN     3   3 LEU    25  LYS    28                                     1CYO 105', 'TURN     4   4 HIS    39  GLY    42                                     1CYO 106', 'TURN     5   5 GLN    49  GLY    52                                     1CYO 107'], 'JRNL': ['JRNL        AUTH   R.C.E.DURLEY,F.S.MATHEWS                             1CYO   8', 'JRNL        TITL   REFINEMENT AND STRUCTURAL ANALYSIS OF BOVINE         1CYO   9', 'JRNL        TITL 2 CYTOCHROME B(5) AT 1.5 ANGSTROM RESOLUTION           1CYO  10', 'JRNL        REF    ACTA CRYSTALLOGR., SECT.D     V.  52    65 1996      1CYO  11', 'JRNL        REFN   ASTM ABCRE6  DK ISSN 0907-4449                       1CYO 11A']}], 'ids': (1, (0, 0), {}), 'surfaceOpacity': (1, -1.0, {}), 'autochain': (1, True, {}), 'vdwDensity': (1, 5.0, {}), 'lineWidth': (1, 1.0, {}), 'stickScale': (1, 1.0, {}), 'display': (1, True, {})}
	resInfo = {'insert': (206, ' ', {}), 'name': (206, 'HOH', {'GLN': [12, 48], 'ILE': [11, 23, 74, 75, 86], 'SER': [0, 17, 19, 63, 70, 84], 'VAL': [3, 28, 44, 60], 'LYS': [1, 4, 13, 18, 27, 33, 71, 85], 'ASN': [15, 16, 56], 'PRO': [39, 80], 'ASP': [30, 52, 59, 65, 81, 82], 'THR': [7, 20, 32, 54, 64, 72, 87], 'PHE': [34, 57, 73], 'ALA': [2, 49, 53, 66], 'GLY': [40, 41, 50, 51, 61, 76], 'HIS': [14, 25, 38, 62, 79], 'LEU': [8, 22, 24, 31, 35, 45, 69, 78], 'ARG': [46, 67, 83], 'TRP': [21], 'HEM': [88], 'GLU': [9, 10, 36, 37, 42, 43, 47, 55, 58, 68, 77], 'TYR': [5, 6, 26, 29]}), 'chain': (206, 'water', {'het': [88], ' ': [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87]}), 'ss': (206, (False, False, False), {(False, True, True): [24, 26, 27, 50, 51], (True, True, False): [73], (True, False, False): [8, 9, 10, 32, 33, 34, 35, 36, 37, 42, 43, 44, 45, 46, 47, 54, 55, 56, 57, 58, 59, 64, 65, 66, 67, 68, 69, 70, 71, 72, 80, 81, 82, 83, 84, 85], (False, False, True): [14, 16, 17, 18, 19, 25, 38, 39, 40, 41, 49], (True, False, True): [11, 12, 13, 48], (False, True, False): [4, 5, 6, 20, 21, 22, 23, 28, 29, 30, 31, 52, 53, 74, 75, 76, 77, 78, 79]}), 'molecule': (206, 0, {}), 'ribbonColor': (206, None, {1: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87], 2: [88]}), 'label': (206, '', {}), 'labelColor': (206, None, {1: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87], 2: [88]}), 'isHet': (206, True, {False: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87]}), 'position': [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 201, 501, 502, 503, 504, 505, 506, 507, 508, 509, 510, 511, 512, 513, 514, 515, 516, 517, 518, 519, 520, 521, 522, 523, 524, 525, 526, 527, 528, 529, 530, 531, 532, 533, 534, 535, 536, 537, 538, 539, 540, 541, 542, 543, 544, 545, 546, 547, 548, 549, 550, 551, 552, 553, 554, 555, 556, 557, 558, 559, 560, 561, 562, 563, 564, 565, 566, 567, 568, 569, 570, 571, 572, 573, 574, 575, 576, 577, 578, 579, 580, 581, 582, 583, 584, 585, 586, 587, 588, 589, 590, 591, 592, 593, 594, 595, 596, 597, 598, 599, 600, 601, 602, 603, 604, 605, 606, 607, 608, 609, 610, 611, 612, 613, 614, 615, 616, 617], 'ribbonDisplay': (206, True, {False: [8, 9, 10, 11, 12, 13, 27, 28, 29]}), 'optional': {}, 'ribbonDrawMode': (206, 1, {})}
	atomInfo = {'residue': (892, 89, {1: [0, 1, 2, 3, 730, 731], 2: [4, 5, 6, 7, 8, 9, 10, 11, 12], 3: [13, 14, 15, 16, 729], 4: [17, 18, 19, 20, 21, 22, 728], 5: [23, 24, 25, 722, 723, 724, 725, 726, 727], 6: [26, 27, 28, 29, 714, 715, 716, 717, 718, 719, 720, 721], 7: [30, 31, 32, 33, 706, 707, 708, 709, 710, 711, 712, 713], 8: [34, 35, 36, 37, 38, 39, 705], 9: [40, 41, 42, 43, 44, 45, 46, 704], 10: [47, 48, 49, 698, 699, 700, 701, 702, 703], 11: [50, 51, 52, 53, 54, 55, 56, 57, 697], 12: [58, 59, 60, 692, 693, 694, 695, 696], 13: [61, 62, 63, 64, 65, 66, 67, 68, 691], 14: [69, 70, 71, 72, 73, 74, 75, 76, 690], 15: [77, 78, 79, 683, 684, 685, 686, 687, 688, 689], 16: [80, 81, 82, 83, 84, 85, 86, 682], 17: [87, 88, 89, 90, 91, 92, 93, 681], 18: [94, 95, 96, 97, 98, 680], 19: [99, 100, 101, 102, 103, 104, 105, 106, 679], 20: [107, 108, 109, 110, 111, 678], 21: [112, 113, 114, 115, 116, 117, 677], 22: [118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 676], 23: [131, 132, 133, 134, 135, 136, 137, 675], 24: [138, 139, 140, 141, 142, 143, 144, 674], 25: [145, 146, 147, 148, 149, 150, 151, 673], 26: [152, 153, 154, 155, 156, 157, 158, 159, 160, 161], 27: [162, 163, 164, 165, 665, 666, 667, 668, 669, 670, 671, 672], 28: [166, 167, 168, 169, 660, 661, 662, 663, 664], 29: [170, 171, 172, 173, 174, 175, 176], 30: [177, 178, 179, 180, 652, 653, 654, 655, 656, 657, 658, 659], 31: [181, 182, 183, 184, 648, 649, 650, 651], 32: [185, 186, 187, 188, 644, 645, 646, 647], 33: [189, 190, 191, 640, 641, 642, 643], 34: [192, 193, 194, 195, 196, 197, 198, 199, 200], 35: [201, 202, 203, 204, 205, 206, 207, 208, 209, 210, 211], 36: [212, 213, 214, 215, 216, 217, 218, 639], 37: [219, 220, 221, 222, 223, 224, 225, 226, 638], 38: [227, 228, 229, 230, 231, 232, 233, 234, 637], 39: [235, 236, 237, 238, 239, 240, 241, 242, 243, 636], 40: [244, 245, 246, 247, 248, 249, 635], 41: [250, 251, 252, 634], 42: [253, 254, 255, 633], 43: [256, 257, 258, 259, 260, 261, 262, 263, 632], 44: [264, 265, 266, 267, 268, 269, 270, 271, 272], 45: [273, 274, 275, 276, 277, 278, 631], 46: [279, 280, 281, 282, 283, 284, 285, 630], 47: [286, 287, 288, 622, 623, 624, 625, 626, 627, 628, 629], 48: [289, 290, 291, 292, 293, 294, 295, 296, 297, 298, 299, 300, 301, 621], 49: [302, 303, 304, 305, 306, 307, 308, 309, 620], 50: [310, 311, 312, 313, 619], 51: [314, 315, 316, 317], 52: [318, 319, 320, 618], 53: [321, 322, 323, 613, 614, 615, 616, 617], 54: [324, 325, 326, 327, 612], 55: [328, 329, 330, 331, 332, 333, 611], 56: [334, 335, 336, 337, 338, 339, 340, 341, 610], 57: [342, 343, 344, 345, 346, 347, 348, 609], 58: [349, 350, 351, 352, 353, 354, 355, 356, 357, 358, 608], 59: [359, 360, 361, 362, 363, 364, 365, 366, 607], 60: [367, 368, 369, 370, 371, 372, 373, 606], 61: [374, 375, 376, 377, 378, 379, 380, 381, 382, 605], 62: [383, 384, 385, 604], 63: [386, 387, 388, 389, 390, 391, 392, 393, 394, 603], 64: [395, 396, 397, 398, 399, 400], 65: [401, 402, 403, 404, 405, 406, 602], 66: [407, 408, 409, 410, 411, 412, 413, 601], 67: [414, 415, 416, 417, 600], 68: [418, 419, 420, 421, 422, 423, 424, 425, 426, 427, 599], 69: [428, 429, 430, 431, 432, 433, 434, 435, 436, 437, 438, 439, 440, 598], 70: [441, 442, 443, 444, 445, 446, 447, 597], 71: [448, 449, 450, 451, 452, 596], 72: [453, 454, 455, 456, 457, 458, 459, 460, 595], 73: [461, 462, 463, 464, 465, 466, 594], 74: [467, 468, 469, 470, 471, 472, 473, 474, 475, 476, 593], 75: [477, 478, 479, 480, 481, 482, 483, 484, 485, 486, 487, 592], 76: [488, 489, 490, 491, 492, 493, 494, 591], 77: [495, 496, 497, 590], 78: [498, 499, 500, 501, 502, 503, 504, 505, 589], 79: [506, 507, 508, 509, 510, 511, 512, 588], 80: [513, 514, 515, 516, 517, 518, 519, 520, 521, 587], 81: [522, 523, 524, 525, 526, 527, 586], 82: [528, 529, 530, 531, 532, 533, 534, 585], 83: [535, 536, 537, 538, 539, 540, 541, 584], 84: [542, 543, 544, 545, 546, 547, 548, 549, 550, 551, 583], 85: [552, 553, 554, 555, 556, 582], 86: [557, 558, 559, 560, 561, 562, 563, 564, 581], 87: [565, 566, 567, 568, 569, 570, 571, 580], 88: [572, 573, 574, 575, 576, 577, 578, 579], 90: [775], 91: [776], 92: [777], 93: [778], 94: [779], 95: [780], 96: [781], 97: [782], 98: [783], 99: [784], 100: [785], 101: [786], 102: [787], 103: [788], 104: [789], 105: [790], 106: [791], 107: [792], 108: [793], 109: [794], 110: [795], 111: [796], 112: [797], 113: [798], 114: [799], 115: [800], 116: [801], 117: [802], 118: [803], 119: [804], 120: [805], 121: [806], 122: [807], 123: [808], 124: [809], 125: [810], 126: [811], 127: [812], 128: [813], 129: [814], 130: [815], 131: [816], 132: [817], 133: [818], 134: [819], 135: [820], 136: [821], 137: [822], 138: [823], 139: [824], 140: [825], 141: [826], 142: [827], 143: [828], 144: [829], 145: [830], 146: [831], 147: [832], 148: [833], 149: [834], 150: [835], 151: [836], 152: [837], 153: [838], 154: [839], 155: [840], 156: [841], 157: [842], 158: [843], 159: [844], 160: [845], 161: [846], 162: [847], 163: [848], 164: [849], 165: [850], 166: [851], 167: [852], 168: [853], 169: [854], 170: [855], 171: [856], 172: [857], 173: [858], 174: [859], 175: [860], 176: [861], 177: [862], 178: [863], 179: [864], 180: [865], 181: [866], 182: [867], 183: [868], 184: [869], 185: [870], 186: [871], 187: [872], 188: [873], 189: [874], 190: [875], 191: [876], 192: [877], 193: [878], 194: [879], 195: [880], 196: [881], 197: [882], 198: [883], 199: [884], 200: [885], 201: [886], 202: [887], 203: [888], 204: [889], 205: [890], 206: [891]}), 'vdwColor': (892, 4, {3: [131, 145, 177, 185, 201, 235, 240, 242, 244, 250, 273, 279, 302, 307, 324, 342, 346, 349, 374, 383, 386, 391, 393, 395, 407, 414, 441, 448, 467, 733, 752, 761, 773], 5: [180, 188, 211, 308, 347, 398, 400, 411, 412, 451, 593, 596, 597, 600, 601, 603, 604, 605, 608, 609, 612, 620, 630, 631, 634, 635, 636, 659, 673, 675, 739, 740, 770, 771], 6: [734, 735, 736, 737, 738, 741, 742, 743, 744, 745, 746, 747, 748, 749, 750, 751, 753, 754, 755, 756, 757, 758, 759, 760, 762, 763, 764, 765, 766, 767, 768, 769, 772, 774], 7: [0, 1, 2, 3, 730, 731], 8: [4, 5, 6, 7, 8, 9, 10, 11, 12], 9: [13, 14, 15, 16, 729], 10: [17, 18, 19, 20, 21, 22, 728], 11: [23, 24, 25, 722, 723, 724, 725, 726, 727], 12: [26, 27, 28, 29, 714, 715, 716, 717, 718, 719, 720, 721], 13: [30, 31, 32, 33, 706, 707, 708, 709, 710, 711, 712, 713], 14: [34, 35, 36, 37, 38, 39, 705], 15: [40, 41, 42, 43, 44, 45, 46, 704], 16: [47, 48, 49, 698, 699, 700, 701, 702, 703], 17: [50, 51, 52, 53, 54, 55, 56, 57, 697], 18: [58, 59, 60, 692, 693, 694, 695, 696], 19: [61, 62, 63, 64, 65, 66, 67, 68, 691], 20: [69, 70, 71, 72, 73, 74, 75, 76, 690], 21: [77, 78, 79, 683, 684, 685, 686, 687, 688, 689], 22: [80, 81, 82, 83, 84, 85, 86, 682], 23: [87, 88, 89, 90, 91, 92, 93, 681], 24: [94, 95, 96, 97, 98, 680], 25: [99, 100, 101, 102, 103, 104, 105, 106, 679], 26: [107, 108, 109, 110, 111, 678], 27: [112, 113, 114, 115, 116, 117, 677], 28: [118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 676], 29: [138, 139, 140, 141, 142, 143, 144, 674], 30: [152, 153, 154, 155, 156, 157, 158, 159, 160, 161], 31: [162, 163, 164, 165, 665, 666, 667, 668, 669, 670, 671, 672], 32: [166, 167, 168, 169, 660, 661, 662, 663, 664], 33: [170, 171, 172, 173, 174, 175, 176], 34: [181, 182, 183, 184, 648, 649, 650, 651], 35: [189, 190, 191, 640, 641, 642, 643], 36: [192, 193, 194, 195, 196, 197, 198, 199, 200], 37: [212, 213, 214, 215, 216, 217, 218, 639], 38: [219, 220, 221, 222, 223, 224, 225, 226, 638], 39: [227, 228, 229, 230, 231, 232, 233, 234, 637], 40: [253, 254, 255, 633], 41: [256, 257, 258, 259, 260, 261, 262, 263, 632], 42: [264, 265, 266, 267, 268, 269, 270, 271, 272], 43: [286, 287, 288, 622, 623, 624, 625, 626, 627, 628, 629], 44: [289, 290, 291, 292, 293, 294, 295, 296, 297, 298, 299, 300, 301, 621], 45: [310, 311, 312, 313, 619], 46: [314, 315, 316, 317], 47: [318, 319, 320, 618], 48: [321, 322, 323, 613, 614, 615, 616, 617], 49: [328, 329, 330, 331, 332, 333, 611], 50: [334, 335, 336, 337, 338, 339, 340, 341, 610], 51: [359, 360, 361, 362, 363, 364, 365, 366, 607], 52: [367, 368, 369, 370, 371, 372, 373, 606], 53: [401, 402, 403, 404, 405, 406, 602], 54: [418, 419, 420, 421, 422, 423, 424, 425, 426, 427, 599], 55: [428, 429, 430, 431, 432, 433, 434, 435, 436, 437, 438, 439, 440, 598], 56: [453, 454, 455, 456, 457, 458, 459, 460, 595], 57: [461, 462, 463, 464, 465, 466, 594], 58: [477, 478, 479, 480, 481, 482, 483, 484, 485, 486, 487, 592], 59: [488, 489, 490, 491, 492, 493, 494, 591], 60: [495, 496, 497, 590], 61: [498, 499, 500, 501, 502, 503, 504, 505, 589], 62: [506, 507, 508, 509, 510, 511, 512, 588], 63: [513, 514, 515, 516, 517, 518, 519, 520, 521, 587], 64: [522, 523, 524, 525, 526, 527, 586], 65: [528, 529, 530, 531, 532, 533, 534, 585], 66: [535, 536, 537, 538, 539, 540, 541, 584], 67: [542, 543, 544, 545, 546, 547, 548, 549, 550, 551, 583], 68: [552, 553, 554, 555, 556, 582], 69: [557, 558, 559, 560, 561, 562, 563, 564, 581], 70: [565, 566, 567, 568, 569, 570, 571, 580], 71: [572, 573, 574, 575, 576, 577, 578, 579], None: [775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 788, 789, 790, 791, 792, 793, 794, 795, 796, 797, 798, 799, 800, 801, 802, 803, 804, 805, 806, 807, 808, 809, 810, 811, 812, 813, 814, 815, 816, 817, 818, 819, 820, 821, 822, 823, 824, 825, 826, 827, 828, 829, 830, 831, 832, 833, 834, 835, 836, 837, 838, 839, 840, 841, 842, 843, 844, 845, 846, 847, 848, 849, 850, 851, 852, 853, 854, 855, 856, 857, 858, 859, 860, 861, 862, 863, 864, 865, 866, 867, 868, 869, 870, 871, 872, 873, 874, 875, 876, 877, 878, 879, 880, 881, 882, 883, 884, 885, 886, 887, 888, 889, 890, 891]}), 'name': (892, 'O', {'CMC': [750], 'CZ2': [125], 'OE2': [56, 225, 232, 261, 270, 294, 299, 339, 364, 433, 438, 503, 702], 'OE1': [55, 67, 224, 233, 262, 269, 295, 300, 308, 340, 365, 434, 439, 504, 703], 'CMD': [742], 'OG1': [37, 116, 332, 405, 465, 576, 643], 'CMB': [759], 'CHB': [762], 'NE': [423, 547, 626], 'O1D': [740], 'CD1': [45, 122, 135, 143, 150, 209, 217, 284, 357, 446, 475, 482, 486, 493, 511, 570, 646, 654, 671, 696, 712, 716], 'CD2': [44, 129, 136, 149, 159, 205, 216, 239, 283, 353, 390, 445, 471, 510, 517, 647, 658, 667, 686, 708, 721], 'CAB': [756], 'CAC': [747], 'CHD': [744], 'CAA': [767], 'C3B': [755], 'C4B': [754], 'CAD': [736], 'C2B': [758], 'O1A': [771], 'ND': [733], 'CGA': [769], 'NA': [773], 'NB': [761], 'NC': [752], 'NH1': [426, 550, 629], 'CH2': [126], 'CMA': [765], 'C4D': [734], 'C2C': [749], 'NZ': [10, 75, 105, 198, 459, 563, 664, 727], 'C2A': [766], 'C4A': [763], 'C2D': [741], 'OD1': [84, 92, 347, 372, 412, 533, 540, 617, 650], 'ND1': [156, 242, 393, 520, 689], 'ND2': [85, 91, 346], 'OD2': [371, 411, 532, 539, 616, 651], 'CHA': [774], 'C': [2, 11, 16, 22, 25, 28, 32, 39, 46, 49, 57, 60, 68, 76, 79, 86, 93, 98, 106, 111, 117, 130, 137, 144, 151, 160, 164, 168, 175, 179, 183, 187, 191, 199, 210, 218, 226, 234, 243, 249, 252, 255, 263, 271, 278, 285, 288, 301, 309, 313, 316, 320, 323, 327, 333, 341, 348, 358, 366, 373, 382, 385, 394, 399, 406, 413, 417, 427, 440, 447, 452, 460, 466, 476, 487, 494, 497, 505, 512, 521, 527, 534, 541, 551, 556, 564, 571, 577], 'CHC': [753], 'FE': [732], 'CGD': [738], 'OXT': [578], 'CB': [6, 15, 19, 36, 42, 52, 63, 71, 82, 89, 96, 101, 109, 114, 120, 133, 140, 147, 154, 172, 194, 203, 214, 221, 229, 237, 247, 258, 266, 275, 281, 291, 296, 304, 312, 326, 330, 336, 344, 351, 361, 369, 376, 379, 388, 397, 403, 409, 416, 420, 430, 435, 443, 450, 455, 463, 469, 479, 483, 490, 500, 508, 515, 525, 530, 537, 544, 554, 559, 567, 574, 614, 623, 641, 644, 648, 652, 660, 665, 684, 693, 699, 706, 714, 723, 730], 'CA': [1, 5, 14, 18, 24, 27, 31, 35, 41, 48, 51, 59, 62, 70, 78, 81, 88, 95, 100, 108, 113, 119, 132, 139, 146, 153, 163, 167, 171, 178, 182, 186, 190, 193, 202, 213, 220, 228, 236, 248, 251, 254, 257, 265, 274, 280, 287, 290, 303, 311, 315, 319, 322, 325, 329, 335, 343, 350, 360, 368, 375, 384, 387, 396, 402, 408, 415, 419, 429, 442, 449, 454, 462, 468, 478, 489, 496, 499, 507, 514, 526, 529, 536, 543, 553, 558, 566, 573], 'CZ3': [127], 'CG': [7, 43, 53, 64, 72, 83, 90, 102, 121, 134, 148, 155, 195, 204, 215, 222, 230, 238, 246, 259, 267, 282, 292, 297, 305, 337, 345, 352, 362, 370, 389, 410, 421, 431, 436, 444, 456, 470, 501, 509, 516, 524, 531, 538, 545, 560, 615, 624, 645, 649, 653, 661, 666, 685, 700, 707, 715, 724], 'N': [0, 4, 13, 17, 23, 26, 30, 34, 40, 47, 50, 58, 61, 69, 77, 80, 87, 94, 99, 107, 112, 118, 131, 138, 145, 152, 162, 166, 170, 177, 181, 185, 189, 192, 201, 212, 219, 227, 235, 244, 250, 253, 256, 264, 273, 279, 286, 289, 302, 310, 314, 318, 321, 324, 328, 334, 342, 349, 359, 367, 374, 383, 386, 395, 401, 407, 414, 418, 428, 441, 448, 453, 461, 467, 477, 488, 495, 498, 506, 513, 522, 528, 535, 542, 552, 557, 565, 572], 'CZ': [207, 355, 424, 473, 548, 627, 656, 669, 710, 718], 'CE': [9, 74, 104, 197, 458, 562, 663, 726], 'CE2': [124, 206, 354, 472, 657, 668, 709, 720], 'CE1': [157, 208, 241, 356, 392, 474, 519, 655, 670, 688, 711, 717], 'NH2': [425, 549, 628], 'CG1': [20, 142, 173, 277, 378, 381, 481, 485, 492, 569, 695], 'O2D': [739], 'CG2': [21, 38, 115, 141, 174, 276, 331, 377, 380, 404, 464, 480, 484, 491, 568, 575, 642, 694], 'C4C': [745], 'O2A': [770], 'CBB': [757], 'CBC': [748], 'CBA': [768], 'CBD': [737], 'OH': [659, 672, 713, 719], 'OG': [97, 110, 398, 451, 555, 731], 'C3D': [735], 'C1A': [772], 'C3A': [764], 'C3C': [746], 'C1D': [743], 'C1C': [751], 'CD': [8, 54, 65, 73, 103, 196, 223, 231, 245, 260, 268, 293, 298, 306, 338, 363, 422, 432, 437, 457, 502, 523, 546, 561, 625, 662, 701, 725], 'C1B': [760], 'CE3': [128], 'NE2': [66, 158, 240, 307, 391, 518, 687], 'NE1': [123]}), 'vdw': (892, False, {}), 'surfaceDisplay': (892, False, {}), 'color': (892, 1, {3: [40, 47, 50, 58, 61, 66, 69, 75, 166, 170, 177, 664, 733, 752, 761, 773], 4: [41, 42, 43, 44, 45, 46, 48, 49, 51, 52, 53, 54, 57, 59, 60, 62, 63, 64, 65, 68, 70, 71, 72, 73, 74, 76, 167, 168, 171, 172, 173, 174, 175, 178, 179, 652, 653, 654, 655, 656, 657, 658, 660, 661, 662, 663, 693, 694, 695, 696, 699, 700, 701, 732], 5: [55, 56, 67, 169, 176, 180, 659, 690, 691, 692, 697, 698, 702, 703, 704, 739, 740, 770, 771], 6: [734, 735, 736, 737, 738, 741, 742, 743, 744, 745, 746, 747, 748, 749, 750, 751, 753, 754, 755, 756, 757, 758, 759, 760, 762, 763, 764, 765, 766, 767, 768, 769, 772, 774], None: [775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 788, 789, 790, 791, 792, 793, 794, 795, 796, 797, 798, 799, 800, 801, 802, 803, 804, 805, 806, 807, 808, 809, 810, 811, 812, 813, 814, 815, 816, 817, 818, 819, 820, 821, 822, 823, 824, 825, 826, 827, 828, 829, 830, 831, 832, 833, 834, 835, 836, 837, 838, 839, 840, 841, 842, 843, 844, 845, 846, 847, 848, 849, 850, 851, 852, 853, 854, 855, 856, 857, 858, 859, 860, 861, 862, 863, 864, 865, 866, 867, 868, 869, 870, 871, 872, 873, 874, 875, 876, 877, 878, 879, 880, 881, 882, 883, 884, 885, 886, 887, 888, 889, 890, 891]}), 'idatmType': (892, False, {}), 'label': (892, '', {}), 'surfaceOpacity': (892, -1.0, {}), 'element': (892, 6, {8: [3, 12, 29, 33, 37, 55, 56, 67, 84, 92, 97, 110, 116, 161, 165, 169, 176, 180, 184, 188, 200, 211, 224, 225, 232, 233, 261, 262, 269, 270, 272, 294, 295, 299, 300, 308, 317, 332, 339, 340, 347, 364, 365, 371, 372, 398, 400, 405, 411, 412, 433, 434, 438, 439, 451, 465, 503, 504, 532, 533, 539, 540, 555, 576, 578, 579, 580, 581, 582, 583, 584, 585, 586, 587, 588, 589, 590, 591, 592, 593, 594, 595, 596, 597, 598, 599, 600, 601, 602, 603, 604, 605, 606, 607, 608, 609, 610, 611, 612, 613, 616, 617, 618, 619, 620, 621, 622, 630, 631, 632, 633, 634, 635, 636, 637, 638, 639, 640, 643, 650, 651, 659, 672, 673, 674, 675, 676, 677, 678, 679, 680, 681, 682, 683, 690, 691, 692, 697, 698, 702, 703, 704, 705, 713, 719, 722, 728, 729, 731, 739, 740, 770, 771, 775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 788, 789, 790, 791, 792, 793, 794, 795, 796, 797, 798, 799, 800, 801, 802, 803, 804, 805, 806, 807, 808, 809, 810, 811, 812, 813, 814, 815, 816, 817, 818, 819, 820, 821, 822, 823, 824, 825, 826, 827, 828, 829, 830, 831, 832, 833, 834, 835, 836, 837, 838, 839, 840, 841, 842, 843, 844, 845, 846, 847, 848, 849, 850, 851, 852, 853, 854, 855, 856, 857, 858, 859, 860, 861, 862, 863, 864, 865, 866, 867, 868, 869, 870, 871, 872, 873, 874, 875, 876, 877, 878, 879, 880, 881, 882, 883, 884, 885, 886, 887, 888, 889, 890, 891], 26: [732], 7: [0, 4, 10, 13, 17, 23, 26, 30, 34, 40, 47, 50, 58, 61, 66, 69, 75, 77, 80, 85, 87, 91, 94, 99, 105, 107, 112, 118, 123, 131, 138, 145, 152, 156, 158, 162, 166, 170, 177, 181, 185, 189, 192, 198, 201, 212, 219, 227, 235, 240, 242, 244, 250, 253, 256, 264, 273, 279, 286, 289, 302, 307, 310, 314, 318, 321, 324, 328, 334, 342, 346, 349, 359, 367, 374, 383, 386, 391, 393, 395, 401, 407, 414, 418, 423, 425, 426, 428, 441, 448, 453, 459, 461, 467, 477, 488, 495, 498, 506, 513, 518, 520, 522, 528, 535, 542, 547, 549, 550, 552, 557, 563, 565, 572, 626, 628, 629, 664, 687, 689, 727, 733, 752, 761, 773]}), 'labelColor': (892, 1, {3: [40, 47, 50, 58, 61, 66, 69, 75, 166, 170, 177, 664, 733, 752, 761, 773], 4: [41, 42, 43, 44, 45, 46, 48, 49, 51, 52, 53, 54, 57, 59, 60, 62, 63, 64, 65, 68, 70, 71, 72, 73, 74, 76, 167, 168, 171, 172, 173, 174, 175, 178, 179, 652, 653, 654, 655, 656, 657, 658, 660, 661, 662, 663, 693, 694, 695, 696, 699, 700, 701, 732], 5: [55, 56, 67, 169, 176, 180, 659, 690, 691, 692, 697, 698, 702, 703, 704, 739, 740, 770, 771], 6: [734, 735, 736, 737, 738, 741, 742, 743, 744, 745, 746, 747, 748, 749, 750, 751, 753, 754, 755, 756, 757, 758, 759, 760, 762, 763, 764, 765, 766, 767, 768, 769, 772, 774], None: [775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 788, 789, 790, 791, 792, 793, 794, 795, 796, 797, 798, 799, 800, 801, 802, 803, 804, 805, 806, 807, 808, 809, 810, 811, 812, 813, 814, 815, 816, 817, 818, 819, 820, 821, 822, 823, 824, 825, 826, 827, 828, 829, 830, 831, 832, 833, 834, 835, 836, 837, 838, 839, 840, 841, 842, 843, 844, 845, 846, 847, 848, 849, 850, 851, 852, 853, 854, 855, 856, 857, 858, 859, 860, 861, 862, 863, 864, 865, 866, 867, 868, 869, 870, 871, 872, 873, 874, 875, 876, 877, 878, 879, 880, 881, 882, 883, 884, 885, 886, 887, 888, 889, 890, 891]}), 'surfaceColor': (892, 1, {3: [40, 47, 50, 58, 61, 66, 69, 75, 166, 170, 177, 664, 733, 752, 761, 773], 4: [41, 42, 43, 44, 45, 46, 48, 49, 51, 52, 53, 54, 57, 59, 60, 62, 63, 64, 65, 68, 70, 71, 72, 73, 74, 76, 167, 168, 171, 172, 173, 174, 175, 178, 179, 652, 653, 654, 655, 656, 657, 658, 660, 661, 662, 663, 693, 694, 695, 696, 699, 700, 701, 732], 5: [55, 56, 67, 169, 176, 180, 659, 690, 691, 692, 697, 698, 702, 703, 704, 739, 740, 770, 771], 6: [734, 735, 736, 737, 738, 741, 742, 743, 744, 745, 746, 747, 748, 749, 750, 751, 753, 754, 755, 756, 757, 758, 759, 760, 762, 763, 764, 765, 766, 767, 768, 769, 772, 774], None: [775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 788, 789, 790, 791, 792, 793, 794, 795, 796, 797, 798, 799, 800, 801, 802, 803, 804, 805, 806, 807, 808, 809, 810, 811, 812, 813, 814, 815, 816, 817, 818, 819, 820, 821, 822, 823, 824, 825, 826, 827, 828, 829, 830, 831, 832, 833, 834, 835, 836, 837, 838, 839, 840, 841, 842, 843, 844, 845, 846, 847, 848, 849, 850, 851, 852, 853, 854, 855, 856, 857, 858, 859, 860, 861, 862, 863, 864, 865, 866, 867, 868, 869, 870, 871, 872, 873, 874, 875, 876, 877, 878, 879, 880, 881, 882, 883, 884, 885, 886, 887, 888, 889, 890, 891]}), 'radius': (892, 1.8799999952316284, {1.6399999856948853: [0, 4, 10, 13, 17, 23, 26, 30, 34, 40, 47, 50, 58, 61, 66, 69, 75, 77, 80, 85, 87, 91, 94, 99, 105, 107, 112, 118, 123, 131, 138, 145, 152, 156, 158, 162, 166, 170, 177, 181, 185, 189, 192, 198, 201, 212, 219, 227, 235, 240, 242, 244, 250, 253, 256, 264, 273, 279, 286, 289, 302, 307, 310, 314, 318, 321, 324, 328, 334, 342, 346, 349, 359, 367, 374, 383, 386, 391, 393, 395, 401, 407, 414, 418, 423, 425, 426, 428, 441, 448, 453, 459, 461, 467, 477, 488, 495, 498, 506, 513, 518, 520, 522, 528, 535, 542, 547, 549, 550, 552, 557, 563, 565, 572, 626, 628, 629, 664, 687, 689, 727, 733, 752, 761, 773], 1.4199999570846558: [3, 12, 29, 33, 55, 56, 67, 84, 92, 161, 165, 169, 176, 180, 184, 188, 200, 211, 224, 225, 232, 233, 261, 262, 269, 270, 272, 294, 295, 299, 300, 308, 317, 339, 340, 347, 364, 365, 371, 372, 400, 411, 412, 433, 434, 438, 439, 503, 504, 532, 533, 539, 540, 578, 579, 580, 581, 582, 583, 584, 585, 586, 587, 588, 589, 590, 591, 592, 593, 594, 595, 596, 597, 598, 599, 600, 601, 602, 603, 604, 605, 606, 607, 608, 609, 610, 611, 612, 613, 616, 617, 618, 619, 620, 621, 622, 630, 631, 632, 633, 634, 635, 636, 637, 638, 639, 640, 650, 651, 673, 674, 675, 676, 677, 678, 679, 680, 681, 682, 683, 690, 691, 692, 697, 698, 702, 703, 704, 705, 722, 728, 729, 739, 740, 770, 771], 1.4600000381469727: [37, 97, 110, 116, 332, 398, 405, 451, 465, 555, 576, 643, 659, 672, 713, 719, 731, 775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 788, 789, 790, 791, 792, 793, 794, 795, 796, 797, 798, 799, 800, 801, 802, 803, 804, 805, 806, 807, 808, 809, 810, 811, 812, 813, 814, 815, 816, 817, 818, 819, 820, 821, 822, 823, 824, 825, 826, 827, 828, 829, 830, 831, 832, 833, 834, 835, 836, 837, 838, 839, 840, 841, 842, 843, 844, 845, 846, 847, 848, 849, 850, 851, 852, 853, 854, 855, 856, 857, 858, 859, 860, 861, 862, 863, 864, 865, 866, 867, 868, 869, 870, 871, 872, 873, 874, 875, 876, 877, 878, 879, 880, 881, 882, 883, 884, 885, 886, 887, 888, 889, 890, 891], 1.6100000143051147: [2, 11, 16, 22, 25, 28, 32, 39, 46, 49, 57, 60, 65, 68, 76, 79, 83, 86, 90, 93, 98, 106, 111, 117, 121, 124, 129, 130, 137, 144, 151, 155, 160, 164, 168, 175, 179, 183, 187, 191, 199, 204, 210, 218, 226, 234, 238, 243, 249, 252, 255, 263, 271, 278, 285, 288, 301, 306, 309, 313, 316, 320, 323, 327, 333, 341, 345, 348, 352, 358, 366, 373, 382, 385, 389, 394, 399, 406, 413, 417, 424, 427, 440, 447, 452, 460, 466, 470, 476, 487, 494, 497, 505, 512, 516, 521, 527, 534, 541, 548, 551, 556, 564, 571, 627, 653, 656, 666, 669, 685, 707, 710, 715, 718, 734, 735, 741, 743, 745, 746, 749, 751, 754, 755, 758, 760, 763, 764, 766, 772], 0.61000001430511475: [732], 1.7599999904632568: [122, 125, 126, 127, 128, 157, 159, 205, 206, 207, 208, 209, 239, 241, 353, 354, 355, 356, 357, 390, 392, 471, 472, 473, 474, 475, 517, 519, 654, 655, 657, 658, 667, 668, 670, 671, 686, 688, 708, 709, 711, 712, 716, 717, 720, 721, 744, 747, 748, 753, 756, 757, 762, 774]}), 'surfaceCategory': (892, 'main', {'ions': [732], 'solvent': [775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 788, 789, 790, 791, 792, 793, 794, 795, 796, 797, 798, 799, 800, 801, 802, 803, 804, 805, 806, 807, 808, 809, 810, 811, 812, 813, 814, 815, 816, 817, 818, 819, 820, 821, 822, 823, 824, 825, 826, 827, 828, 829, 830, 831, 832, 833, 834, 835, 836, 837, 838, 839, 840, 841, 842, 843, 844, 845, 846, 847, 848, 849, 850, 851, 852, 853, 854, 855, 856, 857, 858, 859, 860, 861, 862, 863, 864, 865, 866, 867, 868, 869, 870, 871, 872, 873, 874, 875, 876, 877, 878, 879, 880, 881, 882, 883, 884, 885, 886, 887, 888, 889, 890, 891], 'ligand': [733, 734, 735, 736, 737, 738, 739, 740, 741, 742, 743, 744, 745, 746, 747, 748, 749, 750, 751, 752, 753, 754, 755, 756, 757, 758, 759, 760, 761, 762, 763, 764, 765, 766, 767, 768, 769, 770, 771, 772, 773, 774]}), 'drawMode': (892, 2, {}), 'optional': {'bfactor': (892, 9.4399999999999995, {44.5: [8], 7.75: [34], 57.539999999999999: [889], 12.25: [79], 9.0: [30, 153, 236, 447], 11.0: [768], 12.0: [136], 20.879999999999999: [737], 7.3300000000000001: [762], 18.149999999999999: [667], 15.52: [544], 27.0: [457], 8.2599999999999998: [495], 24.969999999999999: [308], 8.0899999999999999: [476], 14.970000000000001: [301], 26.789999999999999: [75], 12.119999999999999: [85], 11.880000000000001: [219], 11.82: [354, 690], 30.27: [197], 13.859999999999999: [735, 778], 12.140000000000001: [341], 25.07: [411], 11.460000000000001: [218], 26.710000000000001: [672], 8.3800000000000008: [62], 11.26: [465], 9.0800000000000001: [417, 499], 15.140000000000001: [272, 517], 8.0600000000000005: [508], 6.1100000000000003: [63], 10.26: [281], 10.58: [240], 24.350000000000001: [307], 12.4: [342], 8.7400000000000002: [461], 11.720000000000001: [381], 7.6200000000000001: [39], 8.2100000000000009: [41], 9.8699999999999992: [69, 124], 35.520000000000003: [261], 12.83: [159], 9.9000000000000004: [538], 46.310000000000002: [9], 9.75: [649], 53.710000000000001: [876], 6.9100000000000001: [705], 60.509999999999998: [890], 9.7899999999999991: [137, 332, 751], 11.94: [500], 9.4100000000000001: [394, 773], 7.7199999999999998: [139], 45.119999999999997: [861], 10.25: [123, 549], 8.6400000000000006: [29, 127, 658], 9.0899999999999999: [761], 20.73: [436], 15.82: [621], 35.479999999999997: [268, 823], 7.5099999999999998: [477], 41.299999999999997: [270], 30.629999999999999: [260], 9.6199999999999992: [775], 8.3900000000000006: [507, 760], 7.8499999999999996: [648, 692], 8.5999999999999996: [468], 10.609999999999999: [207, 227], 11.35: [334, 620], 10.08: [350, 618], 16.850000000000001: [305], 13.91: [651], 8.75: [209], 51.799999999999997: [878], 7.1799999999999997: [64], 7.0999999999999996: [588], 40.579999999999998: [828], 10.289999999999999: [70], 9.9100000000000001: [453], 18.379999999999999: [73], 44.25: [575], 10.1: [333, 587, 676], 24.420000000000002: [790], 9.5899999999999999: [612], 64.170000000000002: [870], 9.2100000000000009: [351, 509], 9.1600000000000001: [329, 442, 592], 44.030000000000001: [0], 9.4199999999999999: [418, 654], 7.9199999999999999: [497], 9.2699999999999996: [52, 138, 229, 450], 10.119999999999999: [440], 7.5800000000000001: [185], 10.9: [451], 7.7400000000000002: [188], 10.75: [323], 16.300000000000001: [404], 11.109999999999999: [76, 385], 16.940000000000001: [617], 24.66: [20], 9.9800000000000004: [319], 27.539999999999999: [196], 24.719999999999999: [298], 50.020000000000003: [855], 8.7799999999999994: [327, 392], 9.5600000000000005: [744], 10.41: [318], 11.77: [546], 63.619999999999997: [858], 34.899999999999999: [819], 7.6500000000000004: [489], 55.649999999999999: [105], 12.460000000000001: [113, 403], 10.09: [399, 715], 9.7100000000000009: [245], 44.689999999999998: [577], 9.3900000000000006: [471], 47.969999999999999: [852], 7.6900000000000004: [361], 51.560000000000002: [866], 11.609999999999999: [421, 749], 7.6699999999999999: [388], 41.670000000000002: [4], 10.91: [686], 9.4700000000000006: [43], 8.5500000000000007: [66], 11.49: [117, 605, 655], 10.74: [606], 9.25: [395], 22.809999999999999: [556], 26.449999999999999: [88], 9.9499999999999993: [359], 6.6100000000000003: [145], 12.43: [348], 32.479999999999997: [831], 19.120000000000001: [784], 11.050000000000001: [373], 31.73: [438], 4.5199999999999996: [491], 25.82: [807], 7.7999999999999998: [144], 12.210000000000001: [226], 10.949999999999999: [212, 413, 709], 16.93: [258], 9.5700000000000003: [466], 11.58: [685], 9.7699999999999996: [374, 454, 462], 19.329999999999998: [519], 10.56: [384, 677], 13.449999999999999: [273], 21.969999999999999: [297], 20.370000000000001: [292], 11.41: [369], 31.609999999999999: [680], 22.010000000000002: [531], 11.23: [211], 59.600000000000001: [888], 8.4499999999999993: [180, 204, 765], 32.880000000000003: [90], 6.4800000000000004: [58, 170], 12.93: [232], 10.77: [154, 599], 11.199999999999999: [248, 746], 7.1600000000000001: [140], 18.59: [296], 9.5500000000000007: [276, 360, 706], 20.289999999999999: [110], 32.090000000000003: [664], 11.449999999999999: [213], 10.279999999999999: [314], 9.0700000000000003: [192, 589, 653], 36.109999999999999: [832], 62.670000000000002: [887], 11.74: [474, 642], 12.390000000000001: [25, 536, 633], 11.59: [214, 522], 12.44: [274], 11.210000000000001: [164], 13.220000000000001: [72, 255], 9.5800000000000001: [44], 11.359999999999999: [370, 408], 42.299999999999997: [7], 8.9100000000000001: [352, 763], 27.890000000000001: [299], 41.350000000000001: [837], 17.329999999999998: [562], 13.109999999999999: [614], 10.130000000000001: [774], 39.390000000000001: [5], 25.859999999999999: [437], 35.18: [811], 12.41: [687], 12.26: [722, 756], 57.119999999999997: [881], 7.9699999999999998: [147, 393], 12.24: [639], 11.710000000000001: [455], 40.57: [6], 20.039999999999999: [727], 11.92: [684], 37.43: [824], 20.710000000000001: [789], 10.789999999999999: [363], 18.449999999999999: [410], 11.390000000000001: [656], 23.32: [559], 23.960000000000001: [19], 11.07: [401], 10.890000000000001: [155, 364, 720], 10.220000000000001: [419], 31.440000000000001: [816], 12.06: [586], 18.02: [757], 16.879999999999999: [111], 17.600000000000001: [83], 13.56: [251], 12.960000000000001: [528], 34.450000000000003: [13], 56.549999999999997: [880], 43.850000000000001: [1], 13.44: [302], 19.030000000000001: [670], 19.84: [783], 13.9: [634], 23.34: [795], 38.810000000000002: [827], 18.390000000000001: [583], 7.1299999999999999: [60], 39.329999999999998: [338], 11.779999999999999: [689], 7.71: [47, 473], 13.41: [435, 713], 9.1199999999999992: [277], 9.0500000000000007: [479, 766], 48.490000000000002: [579], 35.130000000000003: [566], 12.710000000000001: [747], 43.229999999999997: [339], 54.810000000000002: [871], 9.7400000000000002: [42, 119], 14.93: [82], 12.77: [630], 20.449999999999999: [518], 13.550000000000001: [638], 47.350000000000001: [857], 12.6: [643], 9.6799999999999997: [377, 387], 7.1500000000000004: [172], 9.7799999999999994: [130, 400, 444], 12.35: [303], 23.07: [802], 9.5999999999999996: [366, 691], 45.079999999999998: [340], 10.92: [357], 17.989999999999998: [728], 47.68: [843], 17.390000000000001: [551], 13.24: [194], 18.629999999999999: [195], 10.23: [208, 228], 43.640000000000001: [3], 27.670000000000002: [100], 25.609999999999999: [810], 16.379999999999999: [780], 10.539999999999999: [311], 15.43: [700], 10.859999999999999: [313, 548, 733], 13.27: [635], 14.06: [24, 770], 16.27: [501], 12.18: [230, 420], 7.7699999999999996: [49, 175], 8.8800000000000008: [356], 16.43: [156], 30.68: [806], 22.550000000000001: [87], 10.869999999999999: [707], 10.800000000000001: [637], 30.100000000000001: [15], 24.190000000000001: [786], 10.529999999999999: [143, 426, 641], 46.149999999999999: [628], 40.869999999999997: [853], 35.43: [568], 14.41: [525], 41.460000000000001: [269], 12.949999999999999: [282, 723], 14.94: [678], 9.8800000000000008: [607], 14.01: [534], 43.189999999999998: [839], 14.619999999999999: [725], 8.4100000000000001: [32, 506], 28.079999999999998: [93], 21.390000000000001: [668], 24.629999999999999: [557], 15.08: [84], 37.869999999999997: [571], 10.699999999999999: [397], 11.06: [161], 13.279999999999999: [409], 8.1799999999999997: [33], 14.91: [216], 24.73: [798], 11.369999999999999: [378, 547], 27.690000000000001: [532], 15.44: [265], 14.210000000000001: [53], 22.059999999999999: [791], 7.9400000000000004: [178], 26.699999999999999: [662], 7.46: [189, 416, 673], 14.42: [724], 21.34: [553], 36.979999999999997: [825], 53.780000000000001: [867], 15.050000000000001: [659], 32.640000000000001: [224], 35.060000000000002: [817], 39.130000000000003: [840], 11.09: [309], 11.539999999999999: [406], 28.829999999999998: [99], 8.5: [704], 33.310000000000002: [818], 58.490000000000002: [884], 12.029999999999999: [165, 718], 7.9100000000000001: [488], 22.219999999999999: [793], 5.7199999999999998: [490], 7.5700000000000003: [203], 15.26: [484], 16.859999999999999: [736], 25.260000000000002: [800], 7.9800000000000004: [645], 7.4500000000000002: [187], 40.079999999999998: [836], 38.100000000000001: [198], 15.09: [264], 12.31: [220, 683], 16.920000000000002: [433, 486], 8.8900000000000006: [149, 328], 19.039999999999999: [22], 50.049999999999997: [847], 18.600000000000001: [701], 17.5: [530], 7.7000000000000002: [36, 57, 151], 10.140000000000001: [118, 414, 750], 7.3600000000000003: [590], 8.1899999999999995: [478], 46.869999999999997: [844], 7.3399999999999999: [146], 20.079999999999998: [782], 24.050000000000001: [74], 9.8100000000000005: [77, 173, 716], 8.3300000000000001: [675], 34.060000000000002: [262], 42.310000000000002: [833], 8.1600000000000001: [181], 21.300000000000001: [554], 15.1: [432], 21.75: [107], 19.399999999999999: [561], 28.07: [681], 5.6900000000000004: [694, 696], 33.68: [815], 12.76: [343], 8.3699999999999992: [494], 8.1999999999999993: [51], 10.359999999999999: [26], 32.780000000000001: [101, 225], 9.4499999999999993: [325, 472, 776], 8.8300000000000001: [202, 496], 16.289999999999999: [23], 40.159999999999997: [822], 14.369999999999999: [263, 529], 10.07: [125, 128], 8.6600000000000001: [512], 9.6899999999999995: [160, 167, 246], 10.390000000000001: [162, 514, 619], 30.57: [439], 8.7100000000000009: [141, 179], 29.210000000000001: [89], 8.4900000000000002: [487], 8.3399999999999999: [699], 11.300000000000001: [482], 17.640000000000001: [424], 9.1899999999999995: [142, 324, 389], 43.25: [846], 8.1699999999999999: [717], 21.260000000000002: [412, 682], 7.9500000000000002: [470, 772], 15.220000000000001: [371, 585], 38.289999999999999: [92], 9.3300000000000001: [27], 25.850000000000001: [17], 12.15: [344], 8.6999999999999993: [122, 205], 10.470000000000001: [368, 594], 26.02: [740], 19.920000000000002: [502], 15.41: [221], 29.91: [337], 9.0099999999999998: [475], 9.0600000000000005: [469], 7.5: [183], 8.9900000000000002: [467], 8.8399999999999999: [652], 9.9900000000000002: [65, 331], 28.370000000000001: [267], 19.989999999999998: [109], 10.369999999999999: [234], 15.69: [135], 10.15: [391], 8.6300000000000008: [362, 446], 48.350000000000001: [851], 9.1300000000000008: [243], 41.630000000000003: [829], 39.420000000000002: [830], 28.030000000000001: [729], 24.940000000000001: [801], 9.5099999999999998: [441, 767], 16.5: [336], 39.710000000000001: [91], 28.550000000000001: [624], 12.050000000000001: [71], 19.640000000000001: [785], 9.1699999999999999: [148], 11.18: [734], 28.640000000000001: [16, 570], 62.859999999999999: [883], 26.879999999999999: [259], 10.65: [743], 27.280000000000001: [558], 60.140000000000001: [862], 11.51: [45], 25.920000000000002: [300], 41.420000000000002: [626], 9.6999999999999993: [242], 63.68: [885], 10.48: [398, 427, 708], 10.33: [321], 16.57: [81], 7.2400000000000002: [37, 177], 9.8599999999999994: [244, 386, 600], 9.3100000000000005: [68, 753], 18.52: [54], 21.16: [787], 22.449999999999999: [18], 52.700000000000003: [854], 21.800000000000001: [792], 9.8399999999999999: [67], 23.440000000000001: [560], 9.4600000000000009: [591, 644], 11.470000000000001: [78], 24.960000000000001: [679], 8.2699999999999996: [237], 33.93: [458], 10.300000000000001: [646], 9.1400000000000006: [28, 396, 464, 510, 698], 18.329999999999998: [55], 10.050000000000001: [741], 10.199999999999999: [132], 10.98: [745], 8.8200000000000003: [448], 10.83: [596, 732], 44.909999999999997: [730], 16.460000000000001: [346], 47.189999999999998: [103], 9.1500000000000004: [166], 40.409999999999997: [850], 11.039999999999999: [379, 383], 10.66: [650], 13.640000000000001: [632], 46.490000000000002: [848], 10.51: [193], 17.629999999999999: [623], 22.280000000000001: [582], 13.880000000000001: [112], 59.259999999999998: [859], 31.27: [14], 11.19: [163], 24.399999999999999: [738], 10.779999999999999: [429], 10.17: [452], 10.02: [752], 3.8100000000000001: [492], 18.969999999999999: [726], 18.210000000000001: [552], 52.829999999999998: [875], 7.3700000000000001: [50, 238], 9.8499999999999996: [449], 7.7300000000000004: [390], 10.630000000000001: [320], 10.59: [210, 407, 636, 647], 11.33: [545, 613], 24.68: [805], 15.98: [290], 19.949999999999999: [86], 9.1999999999999993: [200], 10.31: [322], 55.479999999999997: [872], 11.16: [483], 24.34: [555], 15.77: [543], 11.01: [515], 43.560000000000002: [627], 11.1: [376], 11.69: [485], 10.460000000000001: [247, 375], 9.5199999999999996: [191], 23.879999999999999: [739], 12.470000000000001: [280, 402], 10.84: [316], 11.56: [710], 12.199999999999999: [250], 7.5999999999999996: [40], 13.16: [133], 23.109999999999999: [669], 8.9800000000000004: [129], 10.35: [315, 595], 17.420000000000002: [116], 11.130000000000001: [134], 33.609999999999999: [567], 37.880000000000003: [580], 9.8200000000000003: [598], 11.83: [602], 10.029999999999999: [608], 8.4600000000000009: [31], 12.859999999999999: [615], 9.8000000000000007: [460], 30.75: [95], 11.34: [380], 31.809999999999999: [814], 7.04: [171, 695], 51.539999999999999: [860], 41.380000000000003: [102], 13.18: [304], 24.140000000000001: [295], 24.059999999999999: [797], 11.869999999999999: [284, 312], 10.640000000000001: [521], 12.65: [660], 14.57: [289], 11.699999999999999: [114, 721, 755], 17.870000000000001: [425], 12.48: [527, 777], 20.18: [306], 12.539999999999999: [526], 14.710000000000001: [288], 12.01: [712], 10.109999999999999: [714], 3.8599999999999999: [493], 11.99: [711], 13.470000000000001: [769], 29.41: [94], 32.899999999999999: [569], 23.899999999999999: [796], 50.939999999999998: [104], 10.43: [231, 367], 17.949999999999999: [671], 13.15: [541], 34.530000000000001: [625], 9.9299999999999997: [640], 11.31: [550, 611], 12.98: [278, 584], 58.659999999999997: [886], 43.060000000000002: [868], 11.81: [445, 665], 7.5199999999999996: [169], 7.1200000000000001: [330], 12.73: [285], 13.19: [254], 11.119999999999999: [382], 19.59: [456], 11.960000000000001: [355, 430], 13.970000000000001: [431], 7.2699999999999996: [176], 7.6799999999999997: [35], 55.770000000000003: [877], 19.100000000000001: [661], 40.5: [826], 11.85: [126], 13.800000000000001: [252], 12.699999999999999: [365], 40.549999999999997: [572], 17.550000000000001: [345], 11.32: [539, 604], 21.27: [703], 46.579999999999998: [863], 11.529999999999999: [610], 51.729999999999997: [849], 13.01: [563], 43.509999999999998: [573], 31.300000000000001: [808], 16.870000000000001: [266], 61.090000000000003: [879], 8.7200000000000006: [764], 37.289999999999999: [11], 21.850000000000001: [616], 38.439999999999998: [821], 14.15: [742], 30.02: [564], 11.029999999999999: [349, 481], 58.130000000000003: [856], 24.239999999999998: [222], 10.449999999999999: [601, 688], 10.380000000000001: [463], 9.9199999999999999: [358, 428], 13.66: [372], 13.51: [275], 13.49: [422], 9.0299999999999994: [201], 8.3499999999999996: [174], 48.079999999999998: [10, 731], 11.17: [310], 49.359999999999999: [873], 15.99: [405], 19.210000000000001: [56], 23.170000000000002: [794], 47.920000000000002: [576], 12.85: [283], 30.109999999999999: [581], 13.300000000000001: [233], 12.32: [524], 7.6399999999999997: [697], 14.789999999999999: [215], 20.09: [347], 9.6099999999999994: [131], 12.81: [335, 523], 9.4299999999999997: [199], 14.130000000000001: [253], 8.5899999999999999: [168, 498], 29.050000000000001: [804], 8.6099999999999994: [121, 511], 13.84: [631], 25.690000000000001: [21], 15.18: [287], 45.869999999999997: [835], 53.149999999999999: [864], 32.43: [565], 49.939999999999998: [874], 7.8300000000000001: [186, 239], 43.710000000000001: [629], 14.289999999999999: [271], 17.399999999999999: [291], 13.35: [286], 14.199999999999999: [542], 42.950000000000003: [2], 23.559999999999999: [293], 11.4: [317, 537], 13.029999999999999: [535], 13.81: [516], 44.880000000000003: [574], 54.990000000000002: [891], 40.270000000000003: [459], 6.3499999999999996: [693], 14.56: [115], 30.699999999999999: [663], 13.039999999999999: [719], 16.18: [748], 24.850000000000001: [503], 31.370000000000001: [96], 27.219999999999999: [799], 56.539999999999999: [882], 30.059999999999999: [812], 24.32: [294], 37.909999999999997: [97], 8.1400000000000006: [46], 13.85: [217], 13.32: [609], 17.559999999999999: [781], 20.199999999999999: [504], 12.92: [256], 43.119999999999997: [845], 14.31: [257], 45.350000000000001: [865], 52.780000000000001: [838], 9.4800000000000004: [603], 47.259999999999998: [578], 46.060000000000002: [841], 14.84: [622], 14.460000000000001: [666], 23.530000000000001: [788], 7.8200000000000003: [61, 480], 12.27: [249], 30.309999999999999: [98], 19.719999999999999: [520], 31.059999999999999: [813], 28.120000000000001: [223], 14.140000000000001: [80, 157], 25.359999999999999: [702], 6.6699999999999999: [674], 33.100000000000001: [820], 15.199999999999999: [158], 15.83: [423, 779], 6.9299999999999997: [59], 26.27: [533], 51.579999999999998: [869], 45.759999999999998: [834], 8.9299999999999997: [754], 15.66: [771], 30.719999999999999: [809], 17.120000000000001: [434], 8.4000000000000004: [48, 120, 657], 25.170000000000002: [803], 9.4000000000000004: [206, 326], 18.530000000000001: [108], 9.8900000000000006: [443], 25.030000000000001: [106], 37.829999999999998: [12], 12.109999999999999: [279], 8.2899999999999991: [759], 40.25: [842], 8.4399999999999995: [150, 184], 9.2200000000000006: [513], 16.140000000000001: [540], 10.880000000000001: [353], 6.8799999999999999: [38], 8.0500000000000007: [152, 182], 8.9000000000000004: [235, 593, 758]}), 'occupancy': (892, 1.0, {0.5: [6, 7, 8, 9, 10, 276, 277], 0.40000000000000002: [376, 377, 378], 0.80000000000000004: [0, 1, 2, 3, 4, 5, 490, 491, 492, 493, 730, 731], 0.29999999999999999: [430, 431, 432, 433, 434], 0.59999999999999998: [379, 380, 381], 0.65000000000000002: [296, 297, 298, 299, 300, 409, 410, 411, 412], 0.69999999999999996: [435, 436, 437, 438, 439], 0.34999999999999998: [291, 292, 293, 294, 295], 0.25: [479, 480, 481, 482], 0.75: [266, 267, 268, 269, 270, 483, 484, 485, 486, 626, 627, 628, 629]})}, 'display': (892, False, {True: [40, 41, 46, 47, 48, 49, 50, 51, 57, 58, 59, 60, 61, 62, 68, 69, 70, 76, 166, 167, 168, 169, 170, 171, 175, 176, 177, 178, 179, 180, 690, 691, 692, 697, 698, 704, 732, 733, 734, 735, 736, 737, 738, 739, 740, 741, 742, 743, 744, 745, 746, 747, 748, 749, 750, 751, 752, 753, 754, 755, 756, 757, 758, 759, 760, 761, 762, 763, 764, 765, 766, 767, 768, 769, 770, 771, 772, 773, 774]})}
	bondInfo = {'drawMode': (793, 1, {}), 'display': (793, 2, {}), 'atoms': [[208, 207], [209, 208], [209, 210], [209, 211], [212, 211], [212, 213], [213, 214], [215, 214], [215, 216], [216, 217], [218, 212], [218, 219], [218, 220], [221, 220], [221, 222], [223, 221], [223, 224], [225, 224], [225, 226], [226, 227], [226, 228], [229, 225], [229, 230], [231, 230], [232, 231], [232, 233], [234, 233], [235, 234], [235, 236], [235, 237], [238, 237], [239, 238], [239, 240], [239, 241], [242, 241], [242, 243], [243, 244], [243, 245], [246, 242], [246, 247], [248, 247], [248, 249], [249, 250], [251, 250], [252, 250], [253, 248], [253, 254], [255, 254], [256, 255], [256, 257], [258, 257], [258, 259], [259, 260], [261, 260], [261, 262], [261, 263], [264, 258], [264, 265], [266, 265], [267, 266], [267, 268], [269, 268], [269, 270], [270, 271], [272, 271], [272, 273], [272, 274], [275, 269], [275, 276], [277, 276], [277, 278], [278, 279], [280, 279], [280, 281], [281, 282], [283, 277], [283, 284], [285, 284], [286, 285], [286, 287], [288, 287], [288, 289], [289, 290], [290, 291], [290, 292], [293, 288], [293, 294], [295, 294], [295, 296], [296, 297], [297, 298], [297, 299], [300, 295], [300, 301], [302, 301], [302, 303], [303, 304], [305, 302], [305, 306], [307, 306], [307, 308], [308, 309], [310, 309], [310, 311], [311, 312], [313, 307], [313, 314], [315, 314], [315, 316], [316, 317], [318, 315], [318, 319], [320, 319], [320, 321], [321, 322], [321, 323], [324, 320], [324, 325], [326, 325], [326, 327], [327, 328], [329, 328], [329, 330], [331, 330], [331, 332], [333, 332], [333, 334], [335, 334], [336, 335], [336, 331], [336, 328], [337, 326], [337, 338], [339, 338], [339, 340], [340, 341], [342, 341], [343, 341], [344, 339], [344, 345], [346, 345], [346, 347], [347, 348], [347, 349], [350, 349], [351, 346], [351, 352], [353, 352], [353, 354], [354, 355], [356, 355], [357, 355], [358, 353], [358, 359], [360, 359], [360, 361], [361, 362], [362, 363], [364, 363], [364, 365], [366, 365], [366, 362], [367, 360], [367, 368], [367, 369], [370, 369], [371, 370], [371, 372], [371, 373], [374, 373], [375, 374], [375, 376], [375, 377], [378, 377], [378, 379], [379, 380], [379, 381], [382, 378], [382, 383], [382, 384], [385, 384], [386, 385], [386, 387], [386, 388], [389, 388], [390, 389], [390, 391], [390, 392], [393, 392], [394, 393], [394, 395], [394, 396], [397, 396], [398, 397], [398, 399], [400, 399], [400, 401], [401, 402], [403, 402], [403, 404], [404, 405], [406, 400], [406, 407], [406, 408], [409, 408], [409, 410], [410, 411], [412, 411], [412, 413], [413, 414], [415, 414], [416, 415], [416, 411], [417, 409], [417, 418], [417, 419], [420, 419], [420, 421], [421, 422], [423, 422], [424, 422], [425, 420], [425, 426], [427, 426], [427, 428], [428, 429], [430, 429], [430, 431], [430, 432], [433, 427], [433, 434], [435, 434], [435, 436], [436, 437], [438, 437], [438, 439], [438, 440], [441, 435], [441, 442], [443, 442], [443, 444], [444, 445], [446, 445], [447, 446], [447, 448], [448, 449], [445, 449], [450, 443], [450, 451], [452, 451], [452, 453], [454, 453], [455, 454], [456, 455], [456, 457], [458, 457], [459, 458], [459, 460], [461, 460], [462, 461], [462, 463], [464, 463], [464, 465], [465, 466], [467, 466], [467, 468], [467, 469], [470, 464], [470, 471], [472, 471], [472, 473], [473, 474], [475, 474], [475, 476], [475, 477], [478, 472], [478, 479], [478, 480], [481, 480], [481, 482], [482, 483], [482, 484], [485, 481], [485, 486], [487, 486], [487, 488], [488, 489], [490, 489], [491, 489], [492, 487], [492, 493], [494, 493], [495, 494], [495, 496], [497, 496], [498, 497], [498, 499], [500, 499], [500, 501], [500, 502], [503, 497], [503, 504], [505, 504], [505, 506], [505, 507], [508, 497], [508, 509], [510, 509], [510, 511], [511, 512], [513, 512], [513, 514], [513, 515], [516, 510], [516, 517], [518, 517], [518, 519], [520, 518], [520, 521], [522, 521], [523, 522], [523, 524], [523, 525], [526, 525], [527, 526], [527, 528], [529, 528], [530, 529], [530, 531], [532, 531], [532, 533], [534, 532], [534, 535], [536, 535], [536, 537], [537, 538], [537, 539], [540, 536], [540, 541], [542, 541], [542, 543], [543, 544], [545, 544], [545, 546], [545, 547], [548, 542], [548, 549], [550, 549], [550, 551], [551, 552], [552, 553], [552, 554], [555, 550], [555, 556], [557, 556], [557, 558], [558, 559], [560, 559], [560, 561], [561, 562], [563, 562], [564, 563], [564, 559], [565, 557], [565, 566], [567, 566], [567, 568], [568, 569], [570, 569], [570, 571], [570, 572], [573, 567], [573, 574], [575, 574], [575, 576], [576, 577], [577, 578], [577, 579], [580, 575], [580, 581], [582, 581], [583, 582], [583, 584], [583, 585], [586, 582], [586, 587], [586, 588], [589, 582], [589, 590], [591, 590], [592, 591], [592, 593], [594, 593], [594, 595], [595, 596], [597, 596], [598, 597], [598, 599], [599, 600], [596, 600], [601, 594], [601, 602], [603, 602], [603, 604], [604, 605], [606, 603], [606, 607], [606, 608], [609, 608], [609, 610], [610, 611], [610, 612], [613, 609], [613, 614], [615, 614], [615, 616], [616, 617], [617, 618], [617, 619], [620, 615], [620, 621], [622, 621], [622, 623], [624, 622], [624, 625], [626, 625], [626, 627], [627, 628], [629, 628], [629, 630], [631, 630], [631, 632], [631, 633], [634, 626], [634, 635], [636, 635], [637, 636], [637, 638], [639, 638], [639, 640], [639, 641], [642, 636], [642, 643], [644, 643], [644, 645], [644, 646], [647, 636], [647, 648], [649, 648], [649, 650], [650, 651], [652, 651], [653, 651], [654, 649], [654, 655], [656, 655], [656, 657], [657, 658], [659, 656], [659, 660], [661, 660], [661, 662], [662, 663], [664, 663], [664, 665], [665, 666], [667, 661], [667, 668], [669, 668], [669, 670], [670, 671], [670, 672], [673, 669], [673, 674], [675, 674], [675, 676], [676, 677], [678, 677], [678, 679], [679, 680], [681, 680], [682, 681], [682, 677], [683, 675], [683, 684], [685, 684], [686, 685], [686, 687], [686, 688], [689, 688], [690, 685], [690, 691], [690, 692], [693, 692], [694, 685], [694, 695], [696, 695], [696, 697], [697, 698], [697, 699], [700, 699], [701, 696], [701, 702], [703, 702], [704, 703], [704, 705], [706, 705], [706, 707], [707, 708], [709, 708], [709, 710], [709, 711], [712, 706], [712, 713], [714, 713], [714, 715], [715, 716], [717, 716], [718, 716], [719, 714], [719, 720], [721, 720], [721, 722], [722, 723], [724, 723], [724, 725], [726, 725], [726, 727], [723, 727], [728, 721], [728, 729], [730, 729], [730, 731], [732, 731], [733, 732], [734, 733], [734, 735], [736, 735], [736, 737], [737, 738], [738, 739], [738, 740], [741, 736], [741, 742], [743, 742], [743, 744], [744, 745], [745, 746], [745, 747], [748, 743], [748, 749], [750, 749], [750, 751], [751, 752], [753, 752], [753, 754], [755, 754], [755, 756], [755, 757], [758, 750], [758, 759], [760, 759], [760, 761], [761, 762], [763, 760], [763, 764], [765, 764], [765, 766], [766, 767], [768, 767], [768, 769], [769, 770], [771, 765], [771, 772], [773, 772], [773, 774], [774, 775], [774, 776], [777, 776], [778, 773], [778, 779], [780, 779], [780, 781], [781, 782], [781, 783], [784, 780], [784, 785], [784, 786], [778, 787], [771, 788], [763, 789], [758, 790], [748, 791], [741, 792], [734, 793], [733, 729], [728, 794], [719, 795], [712, 796], [704, 797], [701, 798], [694, 799], [683, 800], [673, 801], [667, 802], [659, 803], [654, 804], [647, 805], [634, 806], [624, 807], [620, 808], [613, 809], [601, 810], [592, 811], [589, 812], [580, 813], [573, 814], [565, 815], [555, 816], [548, 817], [540, 818], [534, 819], [530, 820], [529, 821], [821, 822], [822, 823], [822, 824], [527, 825], [520, 826], [516, 827], [508, 828], [495, 829], [494, 830], [830, 831], [832, 831], [832, 833], [834, 833], [834, 835], [834, 836], [492, 837], [485, 838], [470, 839], [462, 840], [459, 841], [456, 842], [455, 451], [450, 843], [441, 844], [433, 845], [425, 846], [398, 847], [397, 848], [848, 849], [848, 850], [393, 851], [851, 852], [853, 852], [854, 852], [389, 855], [855, 856], [856, 857], [856, 858], [385, 859], [859, 860], [861, 860], [861, 862], [862, 863], [864, 863], [865, 864], [865, 860], [863, 866], [374, 867], [867, 868], [869, 868], [869, 870], [870, 871], [370, 872], [872, 873], [874, 873], [874, 875], [875, 876], [877, 876], [878, 877], [878, 873], [876, 879], [358, 880], [351, 881], [344, 882], [337, 883], [324, 884], [318, 885], [313, 886], [305, 887], [300, 888], [293, 889], [286, 890], [285, 891], [891, 892], [893, 892], [893, 894], [895, 894], [895, 896], [892, 896], [283, 897], [275, 898], [267, 899], [266, 900], [900, 901], [900, 902], [903, 902], [264, 904], [256, 905], [255, 906], [906, 907], [908, 907], [908, 909], [908, 910], [253, 911], [246, 912], [238, 913], [913, 914], [915, 914], [915, 916], [916, 917], [918, 917], [919, 918], [919, 914], [917, 920], [234, 921], [921, 922], [923, 922], [923, 924], [924, 925], [925, 926], [927, 925], [928, 927], [928, 922], [232, 929], [231, 930], [930, 931], [932, 931], [932, 933], [933, 934], [229, 935], [223, 936], [208, 937], [937, 938], [940, 941], [942, 941], [942, 943], [943, 944], [944, 945], [945, 946], [945, 947], [948, 942], [948, 949], [950, 948], [940, 950], [951, 950], [951, 952], [953, 952], [953, 954], [954, 955], [956, 953], [956, 957], [958, 956], [959, 958], [959, 952], [960, 958], [960, 961], [962, 961], [962, 963], [963, 964], [965, 962], [965, 966], [967, 965], [968, 967], [968, 961], [969, 967], [969, 970], [971, 970], [971, 972], [973, 971], [973, 974], [974, 975], [975, 976], [976, 977], [976, 978], [979, 973], [980, 979], [980, 970], [981, 979], [981, 941]]}
	crdInfo = {0: {0: [(207, '43.016 7.897 9.11'), (208, '42.259 8.931 9.893'), (209, '42.965 9.405 11.167'), (210, '42.322 9.644 12.19'), (211, '44.287 9.537 11.1'), (212, '45.071 9.898 12.283'), (213, '46.14 8.832 12.525'), (214, '45.915 7.996 13.764'), (215, '46.262 6.53 13.518'), (216, '47.607 6.357 12.812'), (217, '48.111 4.953 12.865'), (218, '45.716 11.299 12.224'), (219, '46.088 11.853 13.261'), (220, '45.735 11.896 11.027'), (221, '46.302 13.236 10.792'), (222, '46.27 13.559 9.3'), (223, '45.583 14.348 11.576'), (224, '46.349 15.342 12.032'), (225, '45.82 16.446 12.847'), (226, '46.971 17.375 13.378'), (227, '46.41 18.423 14.347'), (228, '48.05 16.547 14.079'), (229, '44.809 17.304 12.067'), (230, '43.804 17.792 12.778'), (231, '42.818 18.71 12.208'), (232, '42.941 20.042 12.941'), (233, '43.213 21.106 12.194'), (234, '43.345 22.433 12.784'), (235, '42.116 23.281 12.518'), (236, '41.558 23.25 11.427'), (237, '41.68 24.003 13.542'), (238, '40.588 24.969 13.423'), (239, '41.127 26.355 13.784'), (240, '41.889 26.49 14.748'), (241, '40.69 27.388 13.08'), (242, '41.05 28.746 13.488'), (243, '40.954 29.735 12.333'), (244, '39.618 29.709 11.833'), (245, '41.938 29.37 11.216'), (246, '40.099 29.224 14.58'), (247, '40.57 30.174 15.387'), (248, '39.712 30.812 16.387'), (249, '40.494 31.881 17.177'), (250, '39.768 32.548 18.35'), (251, '40.715 33.536 19.011'), (252, '39.297 31.494 19.343'), (253, '38.493 31.455 15.712'), (254, '38.729 32.032 14.531'), (255, '37.661 32.646 13.739'), (256, '36.52 31.662 13.493'), (257, '36.871 30.424 13.148'), (258, '35.858 29.409 12.932'), (259, '36.454 28.212 12.184'), (260, '35.483 27.052 12.01'), (261, '34.3 27.395 11.109'), (262, '34.478 28.224 10.182'), (263, '33.213 26.799 11.3'), (264, '35.213 28.95 14.245'), (265, '36.038 28.736 15.27'), (266, '35.573 28.267 16.582'), (267, '34.525 29.185 17.223'), (268, '34.674 30.49 17.014'), (269, '33.74 31.473 17.578'), (270, '34.285 32.878 17.33'), (271, '35.553 33.164 18.127'), (272, '36.083 34.573 17.909'), (273, '36.751 35.125 18.925'), (274, '35.909 35.15 16.831'), (275, '32.293 31.341 17.053'), (276, '32.123 30.667 15.915'), (277, '30.809 30.492 15.285'), (278, '30.967 30.198 13.791'), (279, '31.613 31.299 12.979'), (280, '31.989 30.739 11.612'), (281, '32.379 31.82 10.618'), (282, '33.03 31.21 9.417'), (283, '30.013 29.353 15.911'), (284, '30.676 28.517 16.696'), (285, '30.003 27.349 17.251'), (286, '29.601 27.625 18.691'), (287, '28.469 28.305 18.831'), (288, '28.134 29.013 20.065'), (289, '28.221 30.544 19.843'), (290, '27.341 31.049 18.678'), (291, '27.504 32.179 18.197'), (292, '26.432 30.216 18.212'), (293, '26.773 28.65 20.674'), (294, '26.137 27.603 20.156'), (295, '24.814 27.22 20.648'), (296, '23.707 27.914 19.841'), (297, '23.708 27.529 18.373'), (298, '23.304 28.461 17.523'), (299, '23.974 26.386 18.016'), (300, '24.566 25.715 20.694'), (301, '23.412 25.328 21.229'), (302, '23.155 23.928 21.583'), (303, '21.812 23.798 22.296'), (304, '20.796 24.441 21.548'), (305, '23.184 22.957 20.405'), (306, '23.096 23.479 19.186'), (307, '23.236 22.648 17.991'), (308, '22.641 23.369 16.781'), (309, '21.262 23.977 17.036'), (310, '20.399 23.902 15.782'), (311, '19.461 22.699 15.815'), (312, '18.213 22.997 16.583'), (313, '24.699 22.313 17.706'), (314, '25.59 23.188 18.158'), (315, '27.018 23.038 17.901'), (316, '27.343 23.466 16.471'), (317, '28.607 22.976 16.058'), (318, '27.815 23.889 18.891'), (319, '28.127 23.296 20.037'), (320, '28.826 24.006 21.096'), (321, '28.152 23.775 22.462'), (322, '29.037 24.27 23.582'), (323, '26.909 24.486 22.505'), (324, '30.265 23.529 21.166'), (325, '31.181 24.378 20.708'), (326, '32.613 24.102 20.795'), (327, '33.308 24.4 19.465'), (328, '32.96 23.507 18.325'), (329, '31.964 22.573 18.27'), (330, '31.854 22.071 16.992'), (331, '32.8 22.669 16.197'), (332, '33.075 22.494 14.828'), (333, '34.104 23.236 14.293'), (334, '34.858 24.132 15.083'), (335, '34.578 24.304 16.439'), (336, '33.528 23.563 17.004'), (337, '33.272 24.977 21.86'), (338, '34.344 24.47 22.449'), (339, '35.268 25.312 23.19'), (340, '34.791 25.507 24.635'), (341, '34.409 24.332 25.523'), (342, '35.661 23.649 26.03'), (343, '33.58 24.839 26.695'), (344, '36.703 24.788 23.148'), (345, '37.629 25.62 23.608'), (346, '39.049 25.293 23.576'), (347, '39.878 26.479 23'), (348, '41.359 26.131 22.943'), (349, '39.36 26.853 21.612'), (350, '39.77 28.238 21.173'), (351, '39.52 25.011 25.004'), (352, '40.268 23.931 25.17'), (353, '41.017 23.714 26.404'), (354, '40.406 22.583 27.234'), (355, '38.93 22.649 27.628'), (356, '38.714 23.765 28.648'), (357, '38.519 21.31 28.21'), (358, '42.459 23.357 26.058'), (359, '43.411 24.143 26.557'), (360, '44.835 23.884 26.318'), (361, '45.311 22.654 27.093'), (362, '44.864 22.617 28.508'), (363, '45.506 23.317 29.516'), (364, '44.994 22.978 30.679'), (365, '44.029 22.095 30.47'), (366, '43.922 21.863 29.123'), (367, '45.184 23.654 24.849'), (368, '45.81 22.646 24.512'), (369, '44.68 24.516 23.977'), (370, '44.962 24.442 22.528'), (371, '44.26 23.281 21.81'), (372, '44.496 23.045 20.619'), (373, '43.45 22.524 22.541'), (374, '42.611 21.511 21.922'), (375, '41.147 21.954 21.801'), (376, '40.636 22.668 22.659'), (377, '40.513 21.559 20.696'), (378, '39.147 21.944 20.387'), (379, '39.018 22.365 18.9'), (380, '37.621 22.915 18.628'), (381, '40.079 23.409 18.543'), (382, '38.193 20.773 20.671'), (383, '38.439 19.633 20.239'), (384, '37.116 21.064 21.404'), (385, '36.119 20.055 21.795'), (386, '34.718 20.424 21.321'), (387, '34.271 21.562 21.489'), (388, '34.005 19.437 20.792'), (389, '32.606 19.613 20.442'), (390, '31.785 18.988 21.562'), (391, '31.675 17.769 21.674'), (392, '31.261 19.835 22.432'), (393, '30.587 19.363 23.635'), (394, '29.065 19.279 23.486'), (395, '28.338 19.119 24.474'), (396, '28.589 19.318 22.248'), (397, '27.151 19.321 21.963'), (398, '26.397 18.161 22.644'), (399, '26.985 16.967 22.618'), (400, '26.343 15.786 23.203'), (401, '26.714 14.553 22.383'), (402, '25.95 14.505 21.063'), (403, '26.397 13.353 20.169'), (404, '25.765 13.488 18.785'), (405, '24.266 13.501 18.863'), (406, '26.701 15.577 24.666'), (407, '26.224 14.639 25.307'), (408, '27.512 16.489 25.193'), (409, '27.967 16.438 26.579'), (410, '29.467 16.731 26.651'), (411, '30.046 16.596 28.024'), (412, '30.667 17.675 28.632'), (413, '31.197 17.563 29.908'), (414, '31.104 16.367 30.59'), (415, '30.48 15.279 29.996'), (416, '29.956 15.397 28.718'), (417, '27.207 17.404 27.487'), (418, '27.154 17.199 28.701'), (419, '26.555 18.404 26.895'), (420, '25.903 19.464 27.664'), (421, '25.135 20.389 26.711'), (422, '25.935 21.201 25.679'), (423, '26.973 22.076 26.378'), (424, '24.989 22.074 24.855'), (425, '24.964 18.945 28.77'), (426, '24.109 17.992 28.426'), (427, '23.153 17.441 29.376'), (428, '22.006 16.785 28.631'), (429, '21.048 17.75 27.979'), (430, '19.83 17.027 27.441'), (431, '19.023 16.53 28.256'), (432, '19.746 16.85 26.21'), (433, '23.761 16.418 30.324'), (434, '24.989 15.989 30.052'), (435, '25.632 15 30.907'), (436, '26.347 13.941 30.063'), (437, '25.507 13.364 28.922'), (438, '24.11 12.926 29.35'), (439, '23.18 13.093 28.549'), (440, '23.946 12.404 30.467'), (441, '26.611 15.592 31.924'), (442, '27.055 16.823 31.696'), (443, '28.106 17.417 32.524'), (444, '28.513 18.768 31.928'), (445, '29.542 19.546 32.688'), (446, '30.783 19.075 33.055'), (447, '31.345 20.192 33.675'), (448, '30.53 21.191 33.656'), (449, '29.385 20.871 33.08'), (450, '27.7 17.584 33.999'), (451, '28.5 17.048 34.933'), (452, '29.614 16.087 34.752'), (453, '29.63 15.341 36.063'), (454, '29.195 16.347 37.079'), (455, '28.128 17.173 36.347'), (456, '28.046 18.632 36.854'), (457, '28.779 19.536 36.214'), (458, '28.698 20.945 36.582'), (459, '27.609 21.737 35.874'), (460, '26.773 21.042 35.099'), (461, '25.637 21.671 34.443'), (462, '25.907 22.148 33.025'), (463, '24.838 22.526 32.336'), (464, '24.916 22.98 30.947'), (465, '23.544 22.773 30.308'), (466, '23.364 23.376 28.944'), (467, '22.114 22.861 28.238'), (468, '21.867 23.293 27.092'), (469, '21.401 22.004 28.81'), (470, '25.355 24.445 30.819'), (471, '24.895 25.289 31.744'), (472, '25.082 26.732 31.638'), (473, '24.313 27.453 32.734'), (474, '23.218 28.342 32.193'), (475, '21.845 27.853 32.585'), (476, '21.534 26.668 32.331'), (477, '21.085 28.642 33.185'), (478, '26.535 27.185 31.663'), (479, '26.938 28.018 30.856'), (480, '27.329 26.632 32.571'), (481, '28.738 26.979 32.625'), (482, '29.465 26.281 33.794'), (483, '29.252 24.775 33.734'), (484, '28.993 26.852 35.104'), (485, '29.449 26.648 31.32'), (486, '28.966 25.63 30.607'), (487, '29.538 25.281 29.304'), (488, '29.217 23.827 28.933'), (489, '29.696 22.722 29.882'), (490, '31.201 22.799 30.063'), (491, '29.303 21.368 29.323'), (492, '29.047 26.222 28.197'), (493, '27.744 26.477 28.151'), (494, '27.174 27.396 27.165'), (495, '27.813 28.776 27.251'), (496, '28.123 29.218 28.474'), (497, '28.715 30.536 28.691'), (498, '28.79 30.855 30.196'), (499, '29.63 32.09 30.564'), (500, '28.985 33.412 30.159'), (501, '29.611 34.168 29.378'), (502, '27.884 33.723 30.669'), (503, '28.776 30.839 30.192'), (504, '27.413 31.226 30.784'), (505, '27.385 31.243 32.309'), (506, '26.302 31.524 32.862'), (507, '28.425 30.968 32.956'), (508, '30.098 30.698 28.065'), (509, '30.815 29.584 27.915'), (510, '32.182 29.59 27.401'), (511, '33.05 28.64 28.222'), (512, '33.184 29.019 29.692'), (513, '33.792 30.402 29.894'), (514, '33.152 31.202 30.731'), (515, '34.807 30.754 29.287'), (516, '32.268 29.199 25.924'), (517, '31.13 28.859 25.323'), (518, '31.111 28.332 23.951'), (519, '29.678 27.959 23.516'), (520, '31.683 29.36 22.997'), (521, '32.456 28.879 22.031'), (522, '33.043 29.749 21.031'), (523, '34.35 30.368 21.476'), (524, '34.9 31.217 20.773'), (525, '34.886 29.914 22.609'), (526, '36.144 30.458 23.078'), (527, '36.964 29.553 23.974'), (528, '38.041 30.118 24.519'), (529, '38.911 29.4 25.447'), (530, '38.334 29.32 26.87'), (531, '38.307 28.121 27.431'), (532, '37.807 27.932 28.782'), (533, '36.509 27.14 28.734'), (534, '38.842 27.224 29.666'), (535, '40.112 27.316 29.292'), (536, '41.178 26.604 29.991'), (537, '42.525 26.867 29.352'), (538, '43.617 26.077 30.063'), (539, '42.482 26.46 27.981'), (540, '41.277 26.951 31.469'), (541, '41.3 28.241 31.794'), (542, '41.387 28.645 33.2'), (543, '41.655 30.148 33.289'), (544, '42.946 30.53 32.559'), (545, '42.971 31.976 32.06'), (546, '43.125 32.194 30.827'), (547, '42.899 32.891 32.915'), (548, '40.146 28.249 34.018'), (549, '38.962 28.339 33.41'), (550, '37.719 27.911 34.062'), (551, '36.51 28.189 33.172'), (552, '36.449 29.611 32.711'), (553, '35.656 30.416 33.389'), (554, '37.137 29.996 31.768'), (555, '37.753 26.421 34.375'), (556, '38.264 25.628 33.436'), (557, '38.408 24.185 33.63'), (558, '38.88 23.547 32.325'), (559, '38.997 22.046 32.384'), (560, '40.226 21.445 32.619'), (561, '40.366 20.048 32.598'), (562, '39.264 19.243 32.336'), (563, '38.022 19.829 32.104'), (564, '37.893 21.233 32.133'), (565, '39.386 23.853 34.771'), (566, '40.564 24.467 34.741'), (567, '41.602 24.18 35.733'), (568, '42.956 24.715 35.264'), (569, '43.512 24.014 34.029'), (570, '43.763 22.517 34.228'), (571, '43.809 21.796 33.219'), (572, '43.97 22.059 35.369'), (573, '41.291 24.732 37.118'), (574, '40.562 25.844 37.171'), (575, '40.272 26.532 38.433'), (576, '39.815 27.962 38.143'), (577, '40.972 28.896 37.782'), (578, '40.704 30.082 37.524'), (579, '42.142 28.46 37.779'), (580, '39.257 25.818 39.36'), (581, '38.493 24.872 38.806'), (582, '37.512 24.12 39.586'), (583, '36.107 24.204 38.935'), (584, '36.094 23.47 37.604'), (585, '35.718 25.634 38.712'), (586, '36.077 24.303 39.001'), (587, '35.034 23.835 40.003'), (588, '35.937 23.592 37.663'), (589, '37.91 22.635 39.714'), (590, '39.22 22.396 39.697'), (591, '39.768 21.111 40.106'), (592, '39.208 19.885 39.411'), (593, '39.117 19.924 38.083'), (594, '38.644 18.763 37.344'), (595, '38.57 19.066 35.851'), (596, '37.258 19.778 35.567'), (597, '36.017 19.191 35.257'), (598, '35.209 20.29 34.972'), (599, '35.879 21.379 35.1'), (600, '37.148 21.153 35.485'), (601, '39.571 17.581 37.59'), (602, '38.969 16.422 37.842'), (603, '39.696 15.209 38.173'), (604, '38.725 14.186 38.771'), (605, '37.832 13.714 37.778'), (606, '40.378 14.6 36.955'), (607, '40.092 14.975 35.81'), (608, '41.222 13.6 37.2'), (609, '41.765 12.761 36.125'), (610, '42.653 11.634 36.683'), (611, '43.123 10.728 35.559'), (612, '43.796 12.192 37.338'), (613, '40.639 12.107 35.313'), (614, '39.575 11.693 35.992'), (615, '38.418 11.133 35.307'), (616, '37.398 10.649 36.33'), (617, '38.001 9.665 37.302'), (618, '38.323 10.078 38.438'), (619, '38.291 8.523 36.88'), (620, '37.77 12.112 34.323'), (621, '37.63 13.372 34.731'), (622, '37.194 14.427 33.824'), (623, '37.071 15.738 34.579'), (624, '38.133 14.601 32.616'), (625, '39.44 14.586 32.857'), (626, '40.409 14.749 31.768'), (627, '41.841 14.819 32.323'), (628, '42.138 16.002 33.255'), (629, '43.63 16.045 33.645'), (630, '43.884 17.005 34.715'), (631, '43.944 18.325 34.542'), (632, '44.087 19.125 35.589'), (633, '43.938 18.847 33.322'), (634, '40.32 13.599 30.757'), (635, '40.182 12.374 31.248'), (636, '40.075 11.223 30.346'), (637, '40.108 9.915 31.166'), (638, '41.495 9.529 31.658'), (639, '42.492 9.323 30.528'), (640, '43.449 10.117 30.435'), (641, '42.327 8.363 29.743'), (642, '40.073 9.912 31.145'), (643, '41.36 9.606 31.905'), (644, '41.284 8.291 32.693'), (645, '42.039 7.35 32.365'), (646, '40.468 8.193 33.639'), (647, '38.795 11.296 29.522'), (648, '37.708 11.652 30.196'), (649, '36.397 11.732 29.567'), (650, '35.355 12.045 30.643'), (651, '33.971 12.498 30.197'), (652, '33.188 12.888 31.425'), (653, '33.263 11.402 29.413'), (654, '36.357 12.788 28.451'), (655, '37.107 13.875 28.616'), (656, '37.144 14.941 27.609'), (657, '38.046 16.086 28.085'), (658, '39.4 15.717 27.987'), (659, '37.621 14.45 26.228'), (660, '38.397 13.366 26.213'), (661, '38.865 12.768 24.963'), (662, '39.825 11.613 25.257'), (663, '41.073 12.041 26.003'), (664, '41.941 10.855 26.379'), (665, '43.117 11.309 27.24'), (666, '43.961 10.158 27.689'), (667, '37.743 12.266 24.038'), (668, '36.578 11.934 24.6'), (669, '35.404 11.576 23.781'), (670, '34.198 11.196 24.674'), (671, '33.013 10.747 23.834'), (672, '34.585 10.134 25.549'), (673, '34.96 12.693 22.836'), (674, '35.258 13.937 23.207'), (675, '34.693 15.095 22.531'), (676, '34.016 15.998 23.562'), (677, '33.009 15.288 24.413'), (678, '33.263 15.047 25.761'), (679, '32.383 14.273 26.52'), (680, '31.238 13.737 25.928'), (681, '30.969 13.984 24.585'), (682, '31.856 14.763 23.835'), (683, '35.721 15.908 21.736'), (684, '36.993 15.507 21.765'), (685, '38.036 16.211 21.009'), (686, '39.442 15.601 21.319'), (687, '39.799 15.779 22.772'), (688, '39.47 14.108 20.978'), (689, '40.815 13.434 21.196'), (690, '39.438 15.725 21.422'), (691, '39.623 14.26 21.063'), (692, '40.506 16.595 20.761'), (693, '41.725 16.746 21.622'), (694, '37.833 16.109 19.485'), (695, '37.905 17.232 18.774'), (696, '37.776 17.198 17.313'), (697, '36.505 17.974 16.802'), (698, '35.224 17.284 17.299'), (699, '36.531 19.442 17.237'), (700, '35.369 20.232 16.691'), (701, '39.025 17.694 16.572'), (702, '39.945 18.299 17.312'), (703, '41.183 18.771 16.706'), (704, '41.952 19.749 17.571'), (705, '42.774 20.578 16.939'), (706, '43.636 21.502 17.67'), (707, '45.102 21.138 17.462'), (708, '45.425 19.717 17.828'), (709, '46.866 19.534 18.194'), (710, '47.168 18.52 18.843'), (711, '47.698 20.403 17.854'), (712, '43.434 22.917 17.173'), (713, '43.744 23.876 18.036'), (714, '43.775 25.267 17.631'), (715, '43.959 26.157 18.858'), (716, '43.835 27.662 18.595'), (717, '44.106 28.406 19.889'), (718, '42.445 28.017 18.044'), (719, '44.912 25.501 16.619'), (720, '44.59 26.19 15.525'), (721, '45.589 26.589 14.528'), (722, '44.941 27.534 13.517'), (723, '45.805 27.857 12.346'), (724, '46.828 28.734 12.203'), (725, '47.268 28.639 10.903'), (726, '46.543 27.732 10.271'), (727, '45.655 27.243 11.12'), (728, '46.786 27.292 15.193'), (729, '48.029 26.891 14.846'), (730, '48.384 25.927 13.796'), (731, '49.734 26.4 13.385'), (732, '50.374 26.836 14.68'), (733, '49.227 27.439 15.496'), (734, '49.302 28.978 15.525'), (735, '48.765 29.624 14.487'), (736, '48.781 31.087 14.386'), (737, '48.436 31.543 12.963'), (738, '49.534 31.225 11.958'), (739, '49.235 31.259 10.747'), (740, '50.678 30.927 12.376'), (741, '47.851 31.792 15.357'), (742, '46.931 31.047 15.964'), (743, '45.995 31.617 16.925'), (744, '44.588 31.087 16.649'), (745, '43.987 31.66 15.381'), (746, '43.204 30.961 14.722'), (747, '44.315 32.81 15.023'), (748, '46.383 31.331 18.374'), (749, '47.4 30.498 18.566'), (750, '47.746 30.07 19.921'), (751, '48.73 28.891 19.867'), (752, '48.051 27.61 19.452'), (753, '48.966 26.417 19.37'), (754, '48.303 25.376 18.591'), (755, '48.627 24.09 18.599'), (756, '47.901 23.229 17.907'), (757, '49.627 23.656 19.345'), (758, '48.284 31.208 20.795'), (759, '48.917 32.184 20.147'), (760, '49.39 33.388 20.843'), (761, '50.353 34.161 19.94'), (762, '49.675 34.597 18.781'), (763, '48.266 34.33 21.318'), (764, '47.077 34.197 20.744'), (765, '45.89 34.928 21.199'), (766, '44.78 34.843 20.145'), (767, '45.065 35.582 18.877'), (768, '44.143 35.183 17.756'), (769, '44.568 35.901 16.481'), (770, '43.76 35.534 15.284'), (771, '45.325 34.442 22.547'), (772, '45.668 33.196 22.905'), (773, '45.229 32.558 24.145'), (774, '45.085 31.022 23.99'), (775, '44.392 30.485 25.22'), (776, '44.298 30.674 22.715'), (777, '42.879 31.243 22.552'), (778, '46.22 32.826 25.287'), (779, '45.774 33.691 26.173'), (780, '46.634 34.297 27.192'), (781, '46.766 35.791 27.043'), (782, '47.648 36.078 25.82'), (783, '45.491 36.414 26.812'), (784, '46.236 33.935 28.623'), (785, '46.328 32.968 28.296'), (786, '45.339 34.952 28.687'), (787, '47.202 32.12 25.471'), (788, '44.497 35.132 23.149'), (789, '48.484 35.164 22.191'), (790, '47.976 31.276 21.992'), (791, '45.792 31.87 19.308'), (792, '47.978 32.998 15.566'), (793, '49.725 29.563 16.523'), (794, '46.603 28.196 16.006'), (795, '46.031 24.999 16.786'), (796, '43.084 23.135 16.002'), (797, '41.802 19.762 18.792'), (798, '39.176 17.488 15.367'), (799, '37.496 15.042 18.975'), (800, '35.355 16.897 21.1'), (801, '34.435 12.434 21.764'), (802, '37.945 12.151 22.829'), (803, '37.212 14.986 25.186'), (804, '35.651 12.626 27.462'), (805, '38.767 10.944 28.347'), (806, '40.321 13.825 29.549'), (807, '37.683 14.768 31.482'), (808, '37.489 11.748 33.178'), (809, '40.711 12.026 34.092'), (810, '40.791 17.739 37.641'), (811, '38.864 18.899 40.074'), (812, '37.054 21.748 39.903'), (813, '39.185 26.123 40.564'), (814, '41.686 24.146 38.118'), (815, '39.086 23.046 35.656'), (816, '37.348 26.002 35.459'), (817, '40.278 27.716 35.116'), (818, '41.262 26.059 32.317'), (819, '38.489 26.62 30.684'), (820, '37.916 30.326 27.443'), (821, '40.302 30.044 25.483'), (822, '41.26 29.31 26.417'), (823, '41.773 29.926 27.369'), (824, '41.474 28.109 26.217'), (825, '36.658 28.362 24.146'), (826, '31.461 30.564 23.166'), (827, '33.35 29.219 25.34'), (828, '30.468 31.803 27.656'), (829, '28.023 29.433 26.238'), (830, '25.662 27.545 27.364'), (831, '24.9 26.242 27.441'), (832, '24.797 25.59 26.098'), (833, '24.138 26.476 25.144'), (834, '22.98 26.212 24.55'), (835, '22.529 27.022 23.596'), (836, '22.228 25.204 24.975'), (837, '29.844 26.776 27.455'), (838, '30.364 27.365 30.915'), (839, '26.178 24.78 29.967'), (840, '27.055 22.254 32.602'), (841, '27.548 22.965 35.996'), (842, '27.24 18.942 37.726'), (843, '26.698 18.233 34.31'), (844, '26.945 14.945 32.918'), (845, '23.08 15.942 31.231'), (846, '25.074 19.334 29.93'), (847, '25.389 18.383 23.31'), (848, '26.904 19.298 20.432'), (849, '25.411 19.32 20.1'), (850, '27.549 20.435 19.836'), (851, '30.943 20.269 24.825'), (852, '32.425 20.337 25.212'), (853, '32.57 21.144 26.478'), (854, '32.98 18.938 25.408'), (855, '32.306 18.943 19.092'), (856, '30.858 19.132 18.645'), (857, '30.018 19.568 19.453'), (858, '30.557 18.84 17.47'), (859, '36.082 19.905 23.315'), (860, '37.406 19.52 23.924'), (861, '38.425 20.465 24.104'), (862, '39.661 20.09 24.639'), (863, '39.855 18.772 25.004'), (864, '38.856 17.841 24.85'), (865, '37.651 18.205 24.307'), (866, '41.068 18.345 25.465'), (867, '42.724 20.193 22.693'), (868, '44.072 19.489 22.495'), (869, '44.186 18.284 23.405'), (870, '45.34 17.365 23.028'), (871, '45.416 16.223 24.004'), (872, '46.482 24.373 22.233'), (873, '47.299 25.58 22.692'), (874, '48.618 25.426 23.117'), (875, '49.369 26.517 23.57'), (876, '48.793 27.789 23.598'), (877, '47.479 27.971 23.178'), (878, '46.742 26.871 22.727'), (879, '49.535 28.88 24.025'), (880, '42.702 22.39 25.329'), (881, '39.162 25.735 25.944'), (882, '36.975 23.719 22.591'), (883, '32.9 26.135 22.041'), (884, '30.536 22.411 21.604'), (885, '28.013 25.084 18.68'), (886, '25.013 21.309 17.059'), (887, '23.275 21.747 20.607'), (888, '25.381 24.926 20.219'), (889, '26.296 29.333 21.585'), (890, '30.297 27.254 19.638'), (891, '30.898 26.112 17.129'), (892, '31.208 25.748 15.708'), (893, '32.071 26.305 14.818'), (894, '31.794 25.761 13.595'), (895, '30.809 24.887 13.718'), (896, '30.452 24.851 14.989'), (897, '28.818 29.207 15.654'), (898, '31.351 31.789 17.699'), (899, '33.52 28.709 17.776'), (900, '36.772 28.091 17.529'), (901, '36.324 27.852 18.972'), (902, '37.627 26.921 17.031'), (903, '39.027 26.908 17.61'), (904, '33.988 28.803 14.323'), (905, '35.349 31.991 13.686'), (906, '38.193 33.153 12.392'), (907, '37.077 33.602 11.431'), (908, '37.585 34.16 10.11'), (909, '36.765 34.719 9.359'), (910, '38.782 34.011 9.794'), (911, '37.358 31.348 16.207'), (912, '38.949 28.767 14.673'), (913, '39.476 24.606 14.408'), (914, '38.868 23.247 14.16'), (915, '37.669 23.128 13.462'), (916, '37.091 21.881 13.222'), (917, '37.718 20.741 13.678'), (918, '38.918 20.822 14.372'), (919, '39.49 22.081 14.613'), (920, '37.14 19.517 13.439'), (921, '44.572 23.148 12.23'), (922, '45.872 22.476 12.591'), (923, '46.377 22.542 13.893'), (924, '47.57 21.931 14.227'), (925, '48.275 21.246 13.251'), (926, '49.492 20.682 13.556'), (927, '47.788 21.159 11.951'), (928, '46.596 21.771 11.632'), (929, '42.912 20.073 14.176'), (930, '41.405 18.142 12.389'), (931, '41.175 16.874 11.592'), (932, '40.304 15.894 12.33'), (933, '38.861 16.112 11.991'), (934, '38.29 17.182 12.827'), (935, '44.931 17.508 10.855'), (936, '44.359 14.297 11.761'), (937, '40.869 8.4 10.259'), (938, '40.394 7.509 9.265'), (939, '33.319 20.214 34.313'), (940, '32.722 21.118 35.992'), (941, '32.327 20.507 37.161'), (942, '31.775 21.506 38.069'), (943, '31.066 21.202 39.366'), (944, '32.043 21.23 40.516'), (945, '31.401 20.81 41.817'), (946, '30.302 21.319 42.142'), (947, '32.009 19.98 42.524'), (948, '31.917 22.718 37.505'), (949, '31.59 24.059 38.146'), (950, '32.484 22.481 36.204'), (951, '32.739 23.448 35.261'), (952, '33.277 23.246 33.996'), (953, '33.686 24.323 33.084'), (954, '33.567 25.693 33.357'), (955, '33.119 26.59 32.4'), (956, '34.179 23.736 31.953'), (957, '34.761 24.371 30.665'), (958, '34.091 22.282 32.209'), (959, '33.558 22 33.461'), (960, '34.47 21.338 31.3'), (961, '34.383 19.957 31.488'), (962, '34.774 18.992 30.486'), (963, '35.514 19.352 29.337'), (964, '35.427 18.885 28.045'), (965, '34.498 17.746 31.014'), (966, '34.761 16.378 30.384'), (967, '34.006 17.975 32.363'), (968, '33.922 19.349 32.647'), (969, '33.708 16.96 33.269'), (970, '33.315 17.146 34.58'), (971, '33.206 16.081 35.551'), (972, '33.395 14.585 35.304'), (973, '32.905 16.711 36.731'), (974, '32.759 16.054 38.089'), (975, '33.914 16.416 39.01'), (976, '35.252 15.94 38.482'), (977, '36.225 16.716 38.505'), (978, '35.351 14.767 38.077'), (979, '32.795 18.159 36.469'), (980, '33.1 18.43 35.168'), (981, '32.38 19.123 37.379'), (982, '23.137 9.901 31.305'), (983, '34.877 34.762 14.17'), (984, '44.083 26.994 25.098'), (985, '29.335 16.311 21.153'), (986, '34.761 36.258 11.891'), (987, '37.535 31.76 29.75'), (988, '36.633 33.604 21.408'), (989, '26.068 25.111 34.706'), (990, '35.352 19.633 39.27'), (991, '33.091 32.716 24.288'), (992, '22.939 10.193 34.061'), (993, '43.357 20.626 9.385'), (994, '24.446 18.967 32.6'), (995, '34.112 34.82 9.779'), (996, '42.286 13.493 39.905'), (997, '42.962 19.663 26.796'), (998, '23.853 17.33 25.628'), (999, '38.884 31.029 9.548'), (1000, '35.038 34.519 23.388'), (1001, '36.515 9.082 32.739'), (1002, '23.514 14.132 26.108'), (1003, '43.595 16.828 8.31'), (1004, '27.09 30.994 14.493'), (1005, '31.11 29.484 32.678'), (1006, '43.367 25.552 10.153'), (1007, '22.773 24.477 34.404'), (1008, '43.423 16.256 15.464'), (1009, '40.543 30.541 30.102'), (1010, '50.447 32.099 17.528'), (1011, '43.273 17.734 29.992'), (1012, '35.576 27.897 36.79'), (1013, '34.917 31.304 26.149'), (1014, '50.729 18.601 11.91'), (1015, '41.623 15.531 25.784'), (1016, '26.165 27.234 16.281'), (1017, '34.584 19.362 42.082'), (1018, '36.195 30.126 9.22'), (1019, '49.798 19.677 16.232'), (1020, '44.323 29.832 28.84'), (1021, '27.769 19.325 17.027'), (1022, '38.894 32.941 23.16'), (1023, '46.19 24.656 38.311'), (1024, '29.671 20.573 15.187'), (1025, '44.874 15.167 36.649'), (1026, '31.826 18.139 15.209'), (1027, '41.664 20.514 36.983'), (1028, '24.831 29.981 15.719'), (1029, '32.669 15.248 19.763'), (1030, '25.897 26.985 23.494'), (1031, '34.103 12.023 38.436'), (1032, '44.317 22.93 8.433'), (1033, '44.755 31.131 12.207'), (1034, '34.661 13.674 18.798'), (1035, '40.894 17.722 28.876'), (1036, '28.893 31.877 24.158'), (1037, '45.015 18.256 26.158'), (1038, '30.322 34.167 25.544'), (1039, '44.554 12.665 31'), (1040, '42.585 32.41 37.914'), (1041, '23.004 13.193 32.994'), (1042, '32.798 29.489 35.101'), (1043, '43.747 13.762 14.616'), (1044, '36.972 33.322 25.924'), (1045, '46.984 20.311 24.859'), (1046, '32.309 35.323 24.795'), (1047, '36.932 11.981 19.508'), (1048, '27.735 24.417 39.142'), (1049, '47.266 29.276 37.333'), (1050, '19.554 17.885 31.143'), (1051, '44.353 27.119 37.979'), (1052, '20.913 20.399 31.008'), (1053, '22.498 21.83 33.846'), (1054, '38.428 31.031 36.182'), (1055, '28.025 27.46 12.702'), (1056, '36.155 13.455 11.208'), (1057, '49.957 20.686 19.435'), (1058, '21.745 18.137 33.535'), (1059, '20.739 20.531 25.457'), (1060, '25.162 20.571 39.171'), (1061, '32.381 33.96 28.054'), (1062, '41.063 33.945 24.273'), (1063, '38.634 33.331 27.979'), (1064, '30.032 13.887 20.178'), (1065, '47.23 29.164 34.637'), (1066, '45.251 33.685 12.669'), (1067, '24.811 14.35 35.472'), (1068, '28.63 16.236 18.216'), (1069, '28.397 23.708 41.414'), (1070, '22.919 20.041 22.902'), (1071, '40.608 14.67 16.264'), (1072, '48.915 21.358 25.978'), (1073, '42.224 33.162 26.951'), (1074, '38.83 10.465 17.912'), (1075, '51.705 18.574 18.406'), (1076, '31.165 11.869 38.2'), (1077, '23.388 13.531 23.305'), (1078, '45.184 14.159 21.889'), (1079, '36.433 17.892 41.031'), (1080, '44.04 14.365 25.329'), (1081, '27.027 25.781 14.288'), (1082, '49.658 34.907 16.279'), (1083, '23.995 17.323 35.709'), (1084, '35.26 16.089 42.717'), (1085, '34.618 36.757 5.077'), (1086, '44.471 28.917 35.861'), (1087, '26.806 22.28 43.103'), (1088, '30.5 26.257 10.333'), (1089, '20.484 27.393 21.375'), (1090, '23.248 12.078 36.684'), (1091, '44.423 15.374 29.48'), (1092, '44.426 37.489 12.916'), (1093, '37.202 33.261 36.427'), (1094, '37.095 36.48 6.641'), (1095, '48.313 37.568 17.585'), (1096, '35.296 33.337 32.764'), (1097, '21.709 15.436 24.778'), (1098, '36.216 7.06 34.635')], 'active': 0}}
	surfInfo = {'category': (0, None, {}), 'probeRadius': (0, None, {}), 'name': [], 'density': (0, None, {}), 'colorMode': (0, None, {}), 'molecule': [], 'drawMode': (0, None, {}), 'display': (0, None, {}), 'customColors': []}
	vrmlInfo = {'subid': (0, None, {}), 'display': (0, None, {}), 'id': (0, None, {}), 'vrmlString': [], 'name': (0, None, {})}
	colors = {'_openColor00': ((1.0, 1.0, 1.0), 1.0, 'default'), '_openColor01': ((1.0, 0.0, 1.0), 1.0, 'default'), '_openColor02': ((0.0, 1.0, 1.0), 1.0, 'default'), '_openColor03': ((1.0, 1.0, 0.0), 1.0, 'default'), '_openColor04': ((1.0, 0.0, 0.0), 1.0, 'default'), '_openColor05': ((0.0, 0.0, 1.0), 1.0, 'default'), '_openColor06': ((0.67000000000000004, 1.0, 0.0), 1.0, 'default'), '_openColor07': ((0.67000000000000004, 0.0, 1.0), 1.0, 'default'), '_openColor08': ((0.67000000000000004, 1.0, 1.0), 1.0, 'default'), '_openColor09': ((1.0, 0.67000000000000004, 0.0), 1.0, 'default'), '_openColor14': ((0.0, 1.0, 0.5), 1.0, 'default'), '_openColor11': ((1.0, 0.67000000000000004, 1.0), 1.0, 'default'), '_openColor15': ((0.67000000000000004, 0.67000000000000004, 1.0), 1.0, 'default'), 'medium purple': ((0.57647058823529407, 0.4392156862745098, 0.85882352941176465), 1.0, 'default'), 'purple': ((0.62745098039215685, 0.12549019607843137, 0.94117647058823528), 1.0, 'default'), '_openColor10': ((0.0, 0.67000000000000004, 1.0), 1.0, 'default'), '_openColor12': ((1.0, 1.0, 0.5), 1.0, 'default'), 'cornflower blue': ((0.39215686274509803, 0.58431372549019611, 0.92941176470588238), 1.0, 'default'), '_openColor13': ((1.0, 0.0, 0.5), 1.0, 'default'), 'orange': ((1.0, 0.49803921568627452, 0.0), 1.0, 'default')}
	materials = {'default': ((1.0, 1.0, 1.0), 30.0)}
	pbInfo = {'category': ['coordination complex of Fe in residue 201.het of model 0', 'distance monitor'], 'bondInfo': [{'color': (6, None, {}), 'atoms': [[939, 447], [939, 598], [939, 940], [939, 980], [939, 968], [939, 959]], 'label': (6, '', {}), 'halfbond': (6, False, {}), 'labelColor': (6, None, {}), 'drawMode': (6, 0, {}), 'display': (6, 2, {})}, {'color': (0, None, {}), 'atoms': [], 'label': (0, None, {}), 'halfbond': (0, None, {}), 'labelColor': (0, None, {}), 'drawMode': (0, None, {}), 'display': (0, None, {})}], 'color': (2, 72, {73: [1]}), 'wireStipple': (2, (1, 61680), {}), 'showStubBonds': (2, False, {}), 'lineWidth': (2, 2.5, {1.0: [1]}), 'stickScale': (2, 1.0, {}), 'id': [-1, -2]}
	colorInfo = {0: ('_openColor00', (1.0, 1.0, 1.0, 1.0)), 1: ('cornflower blue', (0.39215686274509803, 0.58431372549019611, 0.92941176470588238, 1.0)), 2: ('orange', (1.0, 0.49803921568627452, 0.0, 1.0)), 3: ('blue', (0.0, 0.0, 1.0, 1.0)), 4: ('gray', (0.745, 0.745, 0.745, 1.0)), 5: ('red', (1.0, 0.0, 0.0, 1.0)), 6: ('purple', (0.62745098039215685, 0.12549019607843137, 0.94117647058823528, 1.0)), 7: ('', (0.0, 0.00040000000000000002, 1.0, 1.0)), 8: ('', (0.0, 0.04636781609195402, 1.0, 1.0)), 9: ('', (0.0, 0.092335632183908042, 1.0, 1.0)), 10: ('', (0.0, 0.13830344827586208, 1.0, 1.0)), 11: ('', (0.0, 0.1842712643678161, 1.0, 1.0)), 12: ('', (0.0, 0.23023908045977012, 1.0, 1.0)), 13: ('', (0.0, 0.27620689655172415, 1.0, 1.0)), 14: ('', (0.0, 0.3221747126436782, 1.0, 1.0)), 15: ('', (0.0, 0.36814252873563219, 1.0, 1.0)), 16: ('', (0.0, 0.41411034482758624, 1.0, 1.0)), 17: ('', (0.0, 0.46007816091954024, 1.0, 1.0)), 18: ('', (0.0, 0.50604597701149423, 1.0, 1.0)), 19: ('', (0.0, 0.55201379310344822, 1.0, 1.0)), 20: ('', (0.0, 0.59798160919540233, 1.0, 1.0)), 21: ('', (0.0, 0.64394942528735633, 1.0, 1.0)), 22: ('', (0.0, 0.68991724137931032, 1.0, 1.0)), 23: ('', (0.0, 0.73588505747126431, 1.0, 1.0)), 24: ('', (0.0, 0.78185287356321842, 1.0, 1.0)), 25: ('', (0.0, 0.82782068965517241, 1.0, 1.0)), 26: ('', (0.0, 0.87378850574712641, 1.0, 1.0)), 27: ('', (0.0, 0.9197563218390804, 1.0, 1.0)), 28: ('', (0.0, 0.96572413793103451, 1.0, 1.0)), 29: ('', (0.0, 1.0, 0.94234022988505739, 1.0)), 30: ('', (0.0, 1.0, 0.85040459770114962, 1.0)), 31: ('', (0.0, 1.0, 0.80443678160919529, 1.0)), 32: ('', (0.0, 1.0, 0.75846896551724141, 1.0)), 33: ('', (0.0, 1.0, 0.71250114942528731, 1.0)), 34: ('', (0.0, 1.0, 0.62056551724137932, 1.0)), 35: ('', (0.0, 1.0, 0.52862988505747133, 1.0)), 36: ('', (0.0, 1.0, 0.48266206896551722, 1.0)), 37: ('', (0.0, 1.0, 0.39072643678160923, 1.0)), 38: ('', (0.0, 1.0, 0.34475862068965513, 1.0)), 39: ('', (0.0, 1.0, 0.29879080459770124, 1.0)), 40: ('', (0.0, 1.0, 0.11491954022988504, 1.0)), 41: ('', (0.0, 1.0, 0.068951724137930936, 1.0)), 42: ('', (0.0, 1.0, 0.022983908045977053, 1.0)), 43: ('', (0.11491954022988526, 1.0, 0.0, 1.0)), 44: ('', (0.16088735632183893, 1.0, 0.0, 1.0)), 45: ('', (0.25282298850574714, 1.0, 0.0, 1.0)), 46: ('', (0.2987908045977008, 1.0, 0.0, 1.0)), 47: ('', (0.3447586206896549, 1.0, 0.0, 1.0)), 48: ('', (0.39072643678160945, 1.0, 0.0, 1.0)), 49: ('', (0.48266206896551722, 1.0, 0.0, 1.0)), 50: ('', (0.52862988505747133, 1.0, 0.0, 1.0)), 51: ('', (0.6665333333333332, 1.0, 0.0, 1.0)), 52: ('', (0.71250114942528731, 1.0, 0.0, 1.0)), 53: ('', (0.94234022988505739, 1.0, 0.0, 1.0)), 54: ('', (1.0, 0.91975632183908074, 0.0, 1.0)), 55: ('', (1.0, 0.87378850574712619, 0.0, 1.0)), 56: ('', (1.0, 0.73588505747126431, 0.0, 1.0)), 57: ('', (1.0, 0.68991724137931021, 0.0, 1.0)), 58: ('', (1.0, 0.59798160919540244, 0.0, 1.0)), 59: ('', (1.0, 0.55201379310344834, 0.0, 1.0)), 60: ('', (1.0, 0.50604597701149423, 0.0, 1.0)), 61: ('', (1.0, 0.46007816091954012, 0.0, 1.0)), 62: ('', (1.0, 0.41411034482758602, 0.0, 1.0)), 63: ('', (1.0, 0.36814252873563236, 0.0, 1.0)), 64: ('', (1.0, 0.32217471264367825, 0.0, 1.0)), 65: ('', (1.0, 0.27620689655172415, 0.0, 1.0)), 66: ('', (1.0, 0.23023908045977004, 0.0, 1.0)), 67: ('', (1.0, 0.18427126436781638, 0.0, 1.0)), 68: ('', (1.0, 0.13830344827586183, 0.0, 1.0)), 69: ('', (1.0, 0.092335632183907723, 0.0, 1.0)), 70: ('', (1.0, 0.046367816091954062, 0.0, 1.0)), 71: ('', (1.0, 0.00039999999999995595, 0.0, 1.0)), 72: ('medium purple', (0.57647058823529407, 0.4392156862745098, 0.85882352941176465, 1.0)), 73: ('yellow', (1.0, 1.0, 0.0, 1.0)), 74: ('white', (1.0, 1.0, 1.0, 1.0)), 75: ('green', (0.0, 1.0, 0.0, 1.0))}
	detail = 1.0
	viewerFog = 74
	viewerBG = 74
	viewerHL = 75
	viewerLB = 75
	viewerAttrs = {'silhouetteColor': None, 'yonIntensity': 0.10000000149011612, 'showSilhouette': False, 'startRatio': 0.5, 'viewSize': 26.630634307861328, 'scaleFactor': 1.6000000238418579, 'depthCue': True, 'highlight': 0, 'lensBorder': True}
	cameraAttrs = {'center': (34.958999633789062, 21.260499954223633, 24.090000152587891), 'fieldOfView': 25.0, 'nearFar': (50.720634460449219, -2.5406343936920166), 'ortho': False, 'eyeSeparation': 50.799999237060547, 'focal': 24.090000152587891}
	cameraMode = 'mono'

	replyobj.status("Initializing session restore...", blankAfter=0)
	init(colorInfo)
	replyobj.status("Restoring colors...", blankAfter=0)
	restoreColors(colors, materials)
	replyobj.status("Restoring molecules...", blankAfter=0)
	restoreMolecules(molInfo, resInfo, atomInfo, bondInfo, crdInfo)
	replyobj.status("Restoring surfaces...", blankAfter=0)
	restoreSurfaces(surfInfo)
	replyobj.status("Restoring VRML models...", blankAfter=0)
	restoreVRML(vrmlInfo)
	replyobj.status("Restoring pseudobond groups...", blankAfter=0)
	restorePseudoBondGroups(pbInfo)
	replyobj.status("Restoring camera...", blankAfter=0)
	restoreCamera(detail, viewerFog, viewerBG, viewerHL, viewerLB, viewerAttrs, cameraAttrs, cameraMode)
	replyobj.status("Restoring other models...", blankAfter=0)

try:
	restoreCoreModels()
except:
	reportRestoreError("Error restoring core models")

	replyobj.status("Restoring extension info...", blankAfter=0)


def restoreLightController():
	import Lighting
	c = Lighting.get().setFromParams({'shininess': (30.0, (1.0, 1.0, 1.0)), 'key': (True, (1.0, 1.0, 1.0), 0.86130702495574951, (1.0, 1.0, 1.0), 0.86130702495574951, (-0.38268343236508978, 0.70710678118654746, 0.70710678118654757)), 'fill': (True, (1.0, 1.0, 1.0), 0.20000000298023224, (1.0, 1.0, 1.0), 0.20000000298023224, (0.25881904510252074, 0.25881904510252074, 0.96592582628906831))})
try:
	restoreLightController()
except:
	reportRestoreError("Error restoring lighting parameters")


def restoreSession_RibbonStyleEditor():
	import SimpleSession
	import RibbonStyleEditor
	userScalings = [('default', [0.25, 0.25, 1.5, 0.25, 1.5, 0.25, 0.25, 0.25, 3.0, 0.25, 1.5, 0.25])]
	userXSections = []
	userResidueClasses = []
	residueData = [(1, 'Chimera default', 'edged', 'amino acid'), (2, 'Chimera default', 'edged', 'amino acid'), (3, 'Chimera default', 'edged', 'amino acid'), (4, 'Chimera default', 'edged', 'amino acid'), (5, 'Chimera default', 'edged', 'amino acid'), (6, 'Chimera default', 'edged', 'amino acid'), (7, 'Chimera default', 'edged', 'amino acid'), (8, 'Chimera default', 'edged', 'amino acid'), (9, 'Chimera default', 'edged', 'amino acid'), (10, 'Chimera default', 'edged', 'amino acid'), (11, 'Chimera default', 'edged', 'amino acid'), (12, 'Chimera default', 'edged', 'amino acid'), (13, 'Chimera default', 'edged', 'amino acid'), (14, 'Chimera default', 'edged', 'amino acid'), (15, 'Chimera default', 'edged', 'amino acid'), (16, 'Chimera default', 'edged', 'amino acid'), (17, 'Chimera default', 'edged', 'amino acid'), (18, 'Chimera default', 'edged', 'amino acid'), (19, 'Chimera default', 'edged', 'amino acid'), (20, 'Chimera default', 'edged', 'amino acid'), (21, 'Chimera default', 'edged', 'amino acid'), (22, 'Chimera default', 'edged', 'amino acid'), (23, 'Chimera default', 'edged', 'amino acid'), (24, 'Chimera default', 'edged', 'amino acid'), (25, 'Chimera default', 'edged', 'amino acid'), (26, 'Chimera default', 'edged', 'amino acid'), (27, 'Chimera default', 'edged', 'amino acid'), (28, 'Chimera default', 'edged', 'amino acid'), (29, 'Chimera default', 'edged', 'amino acid'), (30, 'Chimera default', 'edged', 'amino acid'), (31, 'Chimera default', 'edged', 'amino acid'), (32, 'Chimera default', 'edged', 'amino acid'), (33, 'Chimera default', 'edged', 'amino acid'), (34, 'Chimera default', 'edged', 'amino acid'), (35, 'Chimera default', 'edged', 'amino acid'), (36, 'Chimera default', 'edged', 'amino acid'), (37, 'Chimera default', 'edged', 'amino acid'), (38, 'Chimera default', 'edged', 'amino acid'), (39, 'Chimera default', 'edged', 'amino acid'), (40, 'Chimera default', 'edged', 'amino acid'), (41, 'Chimera default', 'edged', 'amino acid'), (42, 'Chimera default', 'edged', 'amino acid'), (43, 'Chimera default', 'edged', 'amino acid'), (44, 'Chimera default', 'edged', 'amino acid'), (45, 'Chimera default', 'edged', 'amino acid'), (46, 'Chimera default', 'edged', 'amino acid'), (47, 'Chimera default', 'edged', 'amino acid'), (48, 'Chimera default', 'edged', 'amino acid'), (49, 'Chimera default', 'edged', 'amino acid'), (50, 'Chimera default', 'edged', 'amino acid'), (51, 'Chimera default', 'edged', 'amino acid'), (52, 'Chimera default', 'edged', 'amino acid'), (53, 'Chimera default', 'edged', 'amino acid'), (54, 'Chimera default', 'edged', 'amino acid'), (55, 'Chimera default', 'edged', 'amino acid'), (56, 'Chimera default', 'edged', 'amino acid'), (57, 'Chimera default', 'edged', 'amino acid'), (58, 'Chimera default', 'edged', 'amino acid'), (59, 'Chimera default', 'edged', 'amino acid'), (60, 'Chimera default', 'edged', 'amino acid'), (61, 'Chimera default', 'edged', 'amino acid'), (62, 'Chimera default', 'edged', 'amino acid'), (63, 'Chimera default', 'edged', 'amino acid'), (64, 'Chimera default', 'edged', 'amino acid'), (65, 'Chimera default', 'edged', 'amino acid'), (66, 'Chimera default', 'edged', 'amino acid'), (67, 'Chimera default', 'edged', 'amino acid'), (68, 'Chimera default', 'edged', 'amino acid'), (69, 'Chimera default', 'edged', 'amino acid'), (70, 'Chimera default', 'edged', 'amino acid'), (71, 'Chimera default', 'edged', 'amino acid'), (72, 'Chimera default', 'edged', 'amino acid'), (73, 'Chimera default', 'edged', 'amino acid'), (74, 'Chimera default', 'edged', 'amino acid'), (75, 'Chimera default', 'edged', 'amino acid'), (76, 'Chimera default', 'edged', 'amino acid'), (77, 'Chimera default', 'edged', 'amino acid'), (78, 'Chimera default', 'edged', 'amino acid'), (79, 'Chimera default', 'edged', 'amino acid'), (80, 'Chimera default', 'edged', 'amino acid'), (81, 'Chimera default', 'edged', 'amino acid'), (82, 'Chimera default', 'edged', 'amino acid'), (83, 'Chimera default', 'edged', 'amino acid'), (84, 'Chimera default', 'edged', 'amino acid'), (85, 'Chimera default', 'edged', 'amino acid'), (86, 'Chimera default', 'edged', 'amino acid'), (87, 'Chimera default', 'edged', 'amino acid'), (88, 'Chimera default', 'edged', 'amino acid'), (89, 'Chimera default', 'edged', 'nucleic acid rotated'), (90, 'Chimera default', 'edged', 'nucleic acid rotated'), (91, 'Chimera default', 'edged', 'nucleic acid rotated'), (92, 'Chimera default', 'edged', 'nucleic acid rotated'), (93, 'Chimera default', 'edged', 'nucleic acid rotated'), (94, 'Chimera default', 'edged', 'nucleic acid rotated'), (95, 'Chimera default', 'edged', 'nucleic acid rotated'), (96, 'Chimera default', 'edged', 'nucleic acid rotated'), (97, 'Chimera default', 'edged', 'nucleic acid rotated'), (98, 'Chimera default', 'edged', 'nucleic acid rotated'), (99, 'Chimera default', 'edged', 'nucleic acid rotated'), (100, 'Chimera default', 'edged', 'nucleic acid rotated'), (101, 'Chimera default', 'edged', 'nucleic acid rotated'), (102, 'Chimera default', 'edged', 'nucleic acid rotated'), (103, 'Chimera default', 'edged', 'nucleic acid rotated'), (104, 'Chimera default', 'edged', 'nucleic acid rotated'), (105, 'Chimera default', 'edged', 'nucleic acid rotated'), (106, 'Chimera default', 'edged', 'nucleic acid rotated'), (107, 'Chimera default', 'edged', 'nucleic acid rotated'), (108, 'Chimera default', 'edged', 'nucleic acid rotated'), (109, 'Chimera default', 'edged', 'nucleic acid rotated'), (110, 'Chimera default', 'edged', 'nucleic acid rotated'), (111, 'Chimera default', 'edged', 'nucleic acid rotated'), (112, 'Chimera default', 'edged', 'nucleic acid rotated'), (113, 'Chimera default', 'edged', 'nucleic acid rotated'), (114, 'Chimera default', 'edged', 'nucleic acid rotated'), (115, 'Chimera default', 'edged', 'nucleic acid rotated'), (116, 'Chimera default', 'edged', 'nucleic acid rotated'), (117, 'Chimera default', 'edged', 'nucleic acid rotated'), (118, 'Chimera default', 'edged', 'nucleic acid rotated'), (119, 'Chimera default', 'edged', 'nucleic acid rotated'), (120, 'Chimera default', 'edged', 'nucleic acid rotated'), (121, 'Chimera default', 'edged', 'nucleic acid rotated'), (122, 'Chimera default', 'edged', 'nucleic acid rotated'), (123, 'Chimera default', 'edged', 'nucleic acid rotated'), (124, 'Chimera default', 'edged', 'nucleic acid rotated'), (125, 'Chimera default', 'edged', 'nucleic acid rotated'), (126, 'Chimera default', 'edged', 'nucleic acid rotated'), (127, 'Chimera default', 'edged', 'nucleic acid rotated'), (128, 'Chimera default', 'edged', 'nucleic acid rotated'), (129, 'Chimera default', 'edged', 'nucleic acid rotated'), (130, 'Chimera default', 'edged', 'nucleic acid rotated'), (131, 'Chimera default', 'edged', 'nucleic acid rotated'), (132, 'Chimera default', 'edged', 'nucleic acid rotated'), (133, 'Chimera default', 'edged', 'nucleic acid rotated'), (134, 'Chimera default', 'edged', 'nucleic acid rotated'), (135, 'Chimera default', 'edged', 'nucleic acid rotated'), (136, 'Chimera default', 'edged', 'nucleic acid rotated'), (137, 'Chimera default', 'edged', 'nucleic acid rotated'), (138, 'Chimera default', 'edged', 'nucleic acid rotated'), (139, 'Chimera default', 'edged', 'nucleic acid rotated'), (140, 'Chimera default', 'edged', 'nucleic acid rotated'), (141, 'Chimera default', 'edged', 'nucleic acid rotated'), (142, 'Chimera default', 'edged', 'nucleic acid rotated'), (143, 'Chimera default', 'edged', 'nucleic acid rotated'), (144, 'Chimera default', 'edged', 'nucleic acid rotated'), (145, 'Chimera default', 'edged', 'nucleic acid rotated'), (146, 'Chimera default', 'edged', 'nucleic acid rotated'), (147, 'Chimera default', 'edged', 'nucleic acid rotated'), (148, 'Chimera default', 'edged', 'nucleic acid rotated'), (149, 'Chimera default', 'edged', 'nucleic acid rotated'), (150, 'Chimera default', 'edged', 'nucleic acid rotated'), (151, 'Chimera default', 'edged', 'nucleic acid rotated'), (152, 'Chimera default', 'edged', 'nucleic acid rotated'), (153, 'Chimera default', 'edged', 'nucleic acid rotated'), (154, 'Chimera default', 'edged', 'nucleic acid rotated'), (155, 'Chimera default', 'edged', 'nucleic acid rotated'), (156, 'Chimera default', 'edged', 'nucleic acid rotated'), (157, 'Chimera default', 'edged', 'nucleic acid rotated'), (158, 'Chimera default', 'edged', 'nucleic acid rotated'), (159, 'Chimera default', 'edged', 'nucleic acid rotated'), (160, 'Chimera default', 'edged', 'nucleic acid rotated'), (161, 'Chimera default', 'edged', 'nucleic acid rotated'), (162, 'Chimera default', 'edged', 'nucleic acid rotated'), (163, 'Chimera default', 'edged', 'nucleic acid rotated'), (164, 'Chimera default', 'edged', 'nucleic acid rotated'), (165, 'Chimera default', 'edged', 'nucleic acid rotated'), (166, 'Chimera default', 'edged', 'nucleic acid rotated'), (167, 'Chimera default', 'edged', 'nucleic acid rotated'), (168, 'Chimera default', 'edged', 'nucleic acid rotated'), (169, 'Chimera default', 'edged', 'nucleic acid rotated'), (170, 'Chimera default', 'edged', 'nucleic acid rotated'), (171, 'Chimera default', 'edged', 'nucleic acid rotated'), (172, 'Chimera default', 'edged', 'nucleic acid rotated'), (173, 'Chimera default', 'edged', 'nucleic acid rotated'), (174, 'Chimera default', 'edged', 'nucleic acid rotated'), (175, 'Chimera default', 'edged', 'nucleic acid rotated'), (176, 'Chimera default', 'edged', 'nucleic acid rotated'), (177, 'Chimera default', 'edged', 'nucleic acid rotated'), (178, 'Chimera default', 'edged', 'nucleic acid rotated'), (179, 'Chimera default', 'edged', 'nucleic acid rotated'), (180, 'Chimera default', 'edged', 'nucleic acid rotated'), (181, 'Chimera default', 'edged', 'nucleic acid rotated'), (182, 'Chimera default', 'edged', 'nucleic acid rotated'), (183, 'Chimera default', 'edged', 'nucleic acid rotated'), (184, 'Chimera default', 'edged', 'nucleic acid rotated'), (185, 'Chimera default', 'edged', 'nucleic acid rotated'), (186, 'Chimera default', 'edged', 'nucleic acid rotated'), (187, 'Chimera default', 'edged', 'nucleic acid rotated'), (188, 'Chimera default', 'edged', 'nucleic acid rotated'), (189, 'Chimera default', 'edged', 'nucleic acid rotated'), (190, 'Chimera default', 'edged', 'nucleic acid rotated'), (191, 'Chimera default', 'edged', 'nucleic acid rotated'), (192, 'Chimera default', 'edged', 'nucleic acid rotated'), (193, 'Chimera default', 'edged', 'nucleic acid rotated'), (194, 'Chimera default', 'edged', 'nucleic acid rotated'), (195, 'Chimera default', 'edged', 'nucleic acid rotated'), (196, 'Chimera default', 'edged', 'nucleic acid rotated'), (197, 'Chimera default', 'edged', 'nucleic acid rotated'), (198, 'Chimera default', 'edged', 'nucleic acid rotated'), (199, 'Chimera default', 'edged', 'nucleic acid rotated'), (200, 'Chimera default', 'edged', 'nucleic acid rotated'), (201, 'Chimera default', 'edged', 'nucleic acid rotated'), (202, 'Chimera default', 'edged', 'nucleic acid rotated'), (203, 'Chimera default', 'edged', 'nucleic acid rotated'), (204, 'Chimera default', 'edged', 'nucleic acid rotated'), (205, 'Chimera default', 'edged', 'nucleic acid rotated'), (206, 'Chimera default', 'edged', 'nucleic acid rotated')]
	SimpleSession.registerAfterModelsCB(RibbonStyleEditor.restoreState,
				(userScalings, userXSections,
				userResidueClasses, residueData))
try:
	restoreSession_RibbonStyleEditor()
except:
	reportRestoreError("Error restoring RibbonStyleEditor state")

def restoreMidasText():
	from Midas import midas_text
	midas_text.aliases = {'nearligand': 'ligand zr<5 & ~ ligand & ~ :HOH'}
	midas_text.userSurfCategories = {}

try:
	restoreMidasText()
except:
	reportRestoreError('Error restoring Midas text state')


def restoreMidasBase():
	import chimera
	from SimpleSession import modelMap, modelOffset
	def deformatPosition(pos):
		xfDict = {}
		for molId, xfData in pos[5].items():
			mid, subid = molId
			trData, rotData = xfData
			xf = chimera.Xform.translation(*trData)
			xf.rotate(*rotData)
			xfDict[(mid+modelOffset, subid)] = xf
		try:
			from chimera.misc import KludgeWeakWrappyDict
			clipDict = KludgeWeakWrappyDict("Model")
		except ImportError:
			from weakref import WeakKeyDictionary
			clipDict = WeakKeyDictionary()
		for clipID, clipInfo in pos[6].items():
			mid, subid, className = clipID
			models = [m for m in modelMap.get((mid, subid), [])
					if m.__class__.__name__ == className]
			if not models:
				continue
			useClip, ox, oy, oz, nx, ny, nz, useThick, thickness = clipInfo
			if useClip:
				origin = chimera.Point(ox, oy, oz)
				normal = chimera.Vector(nx, ny, nz)
				plane = chimera.Plane(origin, normal)
			else:
				plane = chimera.Plane()
			for m in models:
				clipDict[m] = (useClip, plane,
							useThick, thickness)
		return pos[:-2] + (xfDict, clipDict)
	formattedPositions = {}
	positions = {}
	for name, fpos in formattedPositions.items():
		positions[name] = deformatPosition(fpos)
	import Midas
	if modelOffset > 0:
		Midas.positions.clear()
	Midas.positions.update(positions)
	positionStack = []
	Midas._positionStack = map(deformatPosition, positionStack)

def delayedMidasBase():
	try:
		restoreMidasBase()
	except:
		reportRestoreError('Error restoring Midas base state')
import SimpleSession
SimpleSession.registerAfterModelsCB(delayedMidasBase)


try:
	import StructMeasure
	from StructMeasure.DistMonitor import restoreDistances
	registerAfterModelsCB(restoreDistances, 1)
except:
	reportRestoreError("Error restoring distances in session")


def restoreRemainder():
	from SimpleSession.versions.v28 import restoreWindowSize, \
	     restoreOpenStates, restoreSelections, restoreFontInfo, \
	     restoreOpenModelsAttrs, restoreModelClip

	curSelIds =  []
	savedSels = []
	openModelsAttrs = { 'cofrMethod': 1 }
	windowSize = (677, 692)
	xformMap = {0: (((0.54339400000000004, 0.83827600000000002, 0.044896999999999999), 157.87261178051122), (20.693300000000001, -16.640499999999999, 54.275300000000001), True)}
	fontInfo = {'face': ('Sans Serif', 'Normal', 16)}
	clipPlaneInfo = {}

	replyobj.status("Restoring window...", blankAfter=0)
	restoreWindowSize(windowSize)
	replyobj.status("Restoring open states...", blankAfter=0)
	restoreOpenStates(xformMap)
	replyobj.status("Restoring font info...", blankAfter=0)
	restoreFontInfo(fontInfo)
	replyobj.status("Restoring selections...", blankAfter=0)
	restoreSelections(curSelIds, savedSels)
	replyobj.status("Restoring openModel attributes...", blankAfter=0)
	restoreOpenModelsAttrs(openModelsAttrs)
	replyobj.status("Restoring model clipping...", blankAfter=0)
	restoreModelClip(clipPlaneInfo)

	replyobj.status("Restoring remaining extension info...", blankAfter=0)
try:
	restoreRemainder()
except:
	reportRestoreError("Error restoring post-model state")
from SimpleSession.versions.v28 import makeAfterModelsCBs
makeAfterModelsCBs()

from SimpleSession.versions.v28 import endRestore
replyobj.status('Finishing restore...', blankAfter=0)
endRestore()
replyobj.status('Restore finished.')

